@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Stock Report</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <form >
                @csrf
                <div class="row">
                  <div class="form-group  col-md-2">
                    <label>From </label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="from"  >
                    </div>
                  </div>
                  <div class="form-group col-md-2">
                    <label>To</label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="to" >
                    </div>
                  </div>
                 
                  
                  <div class="col" style="padding-top:30px;">
                    <button type="submit" class="btn btn-primary">Submit</button>
                  </div>
                </div>
              </form>
                <table id="example1" class="table table-bordered table-striped">
                    <thead>
                      <tr>
                        <th scope="col">Item Name</th>
                        <th scope="col">Unit</th>
                        <th scope="col">Opening</th>
                        <th scope="col">Op. Amt.</th>
                        <th scope="col">Purchase</th>
                        <th scope="col">Pur. Amt.</th>
                        <th scope="col">Rcpt</th>
                        <th scope="col">Rcpt. Amt.</th>
                        <th scope="col">Issues</th>
                        <th scope="col">Issue Amt.</th>
                        <th scope="col">Cl. Stock</th>
                        <th scope="col">Closing Value</th>
                      </tr>
                    </thead>
                    <tbody>
                        
                        @foreach($report as $stock)
                        <tr class="odd">
                            <td>{{$stock['item']}}</td>
                            <td>{{$stock['unit']}}</td>
                            <td>{{$stock['opening']}}</td>
                            <td>{{$stock['op_amount']}}</td>
                            <td>{{$stock['purchase']}}</td>
                            <td>{{$stock['pur_amount']}}</td>
                            <td>{{$stock['rcpt']}}</td>
                            <td>{{$stock['rcpt_amount']}}</td>
                            <td>{{$stock['issue']}}</td>
                            <td>{{$stock['issue_amount']}}</td>
                            <td>{{$stock['cl_stock']}}</td>
                            <td>{{$stock['cl_value']}}</td>
                        </tr>
                        @endforeach
                    </tfoot>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection