
@extends('layouts.side')

@section('content')

<div class="card card-primary">
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
    <div class="card-header">
        <h3 class="card-title">Add Logins</h3>
    </div>
    <form action="{{route('logins.store')}}" method="post" >
    @csrf
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-4">
                <label for="exampleInputEmail1">Name</label>
                <input type="text" class="form-control" name="name"  placeholder="Enter Name" required>
              </div>
    
              <div class="form-group col-md-4">
                <label for="exampleInputEmail1">Address</label>
                <input type="text" class="form-control" name="address"  placeholder="Enter Address" required>
              </div>
    
              <div class="form-group col-md-4">
                <label for="exampleInputEmail1">Contact Number</label>
                <input type="number" class="form-control" name="contact_no"  placeholder="Enter Contact Number" required>
              </div>
    
              <div class="form-group col-md-4">
                <label for="exampleInputEmail1">Email</label>
                <input type="email" class="form-control" name="email"  placeholder="" required>
              </div> 
              <div class="form-group col-md-4">
                <label for="exampleInputEmail1">Counter</label>
                <select class="form-control" name="counter_id"   required>
                    <option value="" hidden></option> 
                    @foreach($counters as $counter)
                    <option value="{{$counter->cntr_id}}">{{$counter->counter_name}}</option>
                    @endforeach
                </select>
              </div> 
              <div class="form-group col-md-4">
                <label for="exampleInputEmail1">Password</label>
                <input type="password" class="form-control" name="password"  placeholder="" required>
              </div> 
          </div>
          
                   
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>
</div>

  
@endsection
