@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Consolidated Sales Register</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <form>
                    @csrf
                      <div class="row">
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">From</label>
                            <input type="date" class="form-control" name="from" >
                          </div> 
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">To</label>
                            <input type="date" class="form-control" name="to" >
                          </div> 
                          
                         
                          <div class="form-group col-md-2 py-2">
                              <br>
                              <button type="submit" id='reload' class="btn btn-primary">Submit</button>
                          </div>
                      </div>
                  </form>
         
            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th scope="col">Counter</th>
                    <th scope="col">Date</th>
                    <th scope="col">Gross Amount</th>
                    <th scope="col">Tax</th>
                    <th scope="col">Net Sale</th>
                  </tr>
                </thead>
                <tbody>
                   
                   @foreach($reports as $report)
                   <tr>
                       <td>{{$report['counter']}}</td>
                       <td>{{$report['date']}}</td>
                       <td>{{$report['gross']}}</td>
                       <td>{{$report['tax']}}</td>
                       <td>{{$report['net']}}</td>
                   </tr>
                   @endforeach
                    <tr>
                       <td><b>Total : </b></td>
                       <td></td>
                       <td></td>
                       <td></td>
                       <td><b>{{$total_net}}</b></td>
                   </tr>
                </tfoot>
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection