 @extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Report</h1>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
    <div class="row">
        <div class="col-12">
        <div class="card">
            
            <!-- /.card-header -->
            <div class="card-body">
         
            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th scope="col">Item Head</th>
                    <th scope="col">Item Name</th>
                    <th scope="col">Unit</th>
                    <th scope="col">Op.stock Bottle</th>
                    <th scope="col">Op.stock Peg</th>
                    <th scope="col">Purchase Bottle</th>
                    <th scope="col">Purchase Peg</th>
                    <th scope="col">Total Bottle</th>
                    <th scope="col">Total Peg</th>
                    <th scope="col">Issue Bottle</th>
                    <th scope="col">Issue Peg</th>
                    <th scope="col">Cl.stock Bottle</th>
                    <th scope="col">Cl.stock Prg</th>
                  </tr>
                </thead>
                <tbody>
                     @foreach($report as $stock)
                  <tr>
                      <td>{{$stock['name']}}</td>
                      <td>{{$stock['unit']}}</td>
                      <td>{{$stock['stock_bottles']}}</td>
                      <td>{{$stock['stock_ltrs']}}</td>
                      <td>{{$stock['purchase_bottles']}}</td>
                      <td>{{$stock['purchase_ltrs']}}</td>
                      <td>{{$stock['total_bottles']}}</td>
                      <td>{{$stock['total_ltrs']}}</td>
                      <td>{{$stock['sale_bottles']}}</td>
                      <td>{{$stock['sale_ltrs']}}</td>
                      <td>{{$stock['closing_bottles']}}</td>
                      <td>{{$stock['closing_ltrs']}}</td>
                  </tr>
                  @endforeach
                  
                </tfoot>
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection