@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Canceled Kot</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
    <div class="row">
        <div class="col-12">
        <div class="card">
            <div class="card-header">
            <h3 class="card-title">Kot</h3>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
                <table id="example1" class="table table-bordered table-striped">
                    <thead>
                      <tr>
                        <th scope="col">Sl No</th>
                        <th scope="col">Kot No / Bot No</th>
                        <th scope="col">Category</th>
                        <th scope="col">Date</th>
                        <th scope="col">Table No</th>
                        <th scope="col">Supplier</th>
                        <th scope="col">Amount</th>
                        <th scope="col">Counter</th>
                      </tr>
                    </thead>
                    <tbody>
                      @php($i=1)
                      @foreach($bills as $bill)
                      
                      <tr class="odd">
                        <th scope="row">{{$i++}}</th>
                        <td>
                            <a href="{{route('bills.show',$bill->b_id)}}" target="_blank">{{$bill->bill_no}}</a>
                        </td>
                        <td>@if($bill->category == 0)
                            Kot
                            @else
                            Bot
                            @endif
                        </td>
                        <td>{{$bill->date}}</td>
                        <td>{{$bill->table_no}}</td>
                        <td>{{$bill->supplier_name}}</td>
                        <td>{{$bill->total_amount}}</td>
                        <td>{{$bill->counter_name}}</td>
                        
                      </tr>
                      
                      @endforeach
                      
                    </tfoot>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection