@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Stock balance</h1>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
    <div class="row">
        <div class="col-12">
        <div class="card">
            
            <div class="card-body">
           
            <form>
                @csrf
                  <div class="row">
                      
                      <div class="form-group col-md-2">
                        <label for="exampleInputEmail1">From</label>
                        <input type="date" class="form-control" name="from" >
                      </div> 
                      
                      <div class="form-group col-md-2">
                        <label for="exampleInputEmail1">To</label>
                        <input type="date" class="form-control" name="to" >
                      </div> 
                      
                     
                      <div class="form-group col-md-2 py-2">
                          <br>
                          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
                      </div>
                  </div>
              </form>
         
            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th scope="col">Sl No</th>
                    <th scope="col">Date</th>
                    <th scope="col">Counter</th>
                    <th scope="col">Item</th>
                    <th scope="col">Unit</th>
                    <th scope="col">Bottles</th>
                    <th scope="col">Pegs</th>
                    <th scope="col">Remarks</th>
                  </tr>
                </thead>
                <tbody>
                  @php($i=1)
                  @foreach($stocks as $stock)
                  
                  <tr class="odd">
                    <th scope="row">{{$i++}}</th>
                    <td>{{$stock->date}}</td>
                    <td>{{$stock->counter_name}}</td>
                    <td>{{$stock->name}}</td>
                    <td>{{$stock->u_name}}</td>
                    <td>{{$stock->bottles}}</td>
                    <td>{{$stock->pegs}}</td>
                    <td>{{$stock->remarks}}</td>
                    
                  </tr>
                  
                  @endforeach
                  
                </tfoot>
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection