

<?php $__env->startSection('content'); ?>
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Purchases</h1>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
    <div class="row">
        <div class="col-12">
        <div class="card">
            <div class="card-header">
            <h3 class="card-title">Purchases</h3>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
                <form >
                <?php echo csrf_field(); ?>
                <div class="row">
                  <div class="form-group  col-md-3">
                    <label>From </label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="from"  >
                    </div>
                  </div>
                  <div class="form-group col-md-3">
                    <label>To</label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="to" >
                    </div>
                  </div>
                  <div class="form-group col-md-3">
                    <label for="exampleInputEmail1">Vendor</label>
                    <select  class="form-control" name="vendor_id" >
                        <option value="" hidden></option>
                        <?php $__currentLoopData = $vendors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vendor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($vendor->v_id); ?>"><?php echo e($vendor->name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                  </div> 
                  <div class="col" style="padding-top:30px;">
                    <button type="submit" class="btn btn-primary">Submit</button>
                  </div>
                </div>
              </form>
            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th scope="col">Sl No</th>
                    <th scope="col">Purchase No</th>
                    <th scope="col">Date</th>
                    <th scope="col">Pay Method</th>
                    <th scope="col">Vendor</th>
                    <th scope="col">Invoice No</th>
                    <th scope="col">Invoice Date</th>
                    <th scope="col">Grand Total</th>
                    <th scope="col">#</th>
                    <th scope="col">#</th>
                  </tr>
                </thead>
                <tbody>
                  <?php ($i=1); ?>
                  <?php $__currentLoopData = $purchases; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $purchase): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  
                  <tr class="odd">
                    <th scope="row"><?php echo e($i++); ?></th>
                    <td><?php echo e($purchase->purchase_no); ?></td>
                    <td><?php echo e($purchase->date); ?></td>
                    <td><?php echo e($purchase->method); ?></td>
                    <td><?php echo e($purchase->name); ?></td>
                    <td><?php echo e($purchase->invoice_no); ?></td>
                    <td><?php echo e($purchase->invoice_date); ?></td>
                    <td><?php echo e($purchase->grand_total); ?></td>
                    <td>
                        <a href="<?php echo e(route('purchases.show',$purchase->p_id)); ?>"  ><i class="fas fa-eye"></i></a>
                    </td>
                    <td>
                        <a href="<?php echo e(route('purchases.edit',$purchase->p_id)); ?>" class="btn" ><i class="fa fa-pencil"></i></a>
                    </td>
                  </tr>
                  
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  
                </tfoot>
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thevarholdings/public_html/Bar/resources/views/purchases/index.blade.php ENDPATH**/ ?>