<?php $__env->startSection('content'); ?>

<div class="card card-primary">
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
      <div class="card-header">
        <h3 class="card-title">Items</h3>
      </div>
      
        <form action="<?php echo e(route('item_prices.update',$price->ip_id)); ?>" method="post" >
        <?php echo csrf_field(); ?>
        <?php echo method_field("PATCH"); ?>
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Select Counter</label>
                <select name="counter" class="form-control"  required>
                    <option hidden value="<?php echo e($price->counter_id); ?>"><?php echo e($price->counter_name); ?></option>
                    <?php if(count($counters)>0): ?>
                        <?php $__currentLoopData = $counters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $counter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($counter->cntr_id); ?>"><?php echo e($counter->counter_name); ?></option>
                        
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                </select>
              </div> 
               <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Select Items</label>
                <select name="item" class="form-control select2"  required>
                    <option hidden value="<?php echo e($price->item_id); ?>"><?php echo e($price->name); ?></option>
                    <?php if(count($items)>0): ?>
                        <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($item->item_id); ?>"><?php echo e($item->name); ?></option>
                        
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                </select>
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Units</label>
                <select name="unit" class="form-control"  required>
                    <option hidden value="<?php echo e($price->unit_id); ?>"><?php echo e($price->u_name); ?></option>
                    <?php if(count($units)>0): ?>
                        <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($unit->u_id); ?>"><?php echo e($unit->u_name); ?></option>
                        
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                </select>
               
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Amount</label>
                 <input type="text" class="form-control" name="amount" value="<?php echo e($price->amount); ?>"  placeholder="" required>
            </div>
              
          </div>
          
                   
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>

</div>

  
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thomsonscasa/public_html/Bar/resources/views/item_prices/edit.blade.php ENDPATH**/ ?>