<?php $__env->startSection('content'); ?>
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Stock Report</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <form >
                <?php echo csrf_field(); ?>
                <div class="row">
                  <div class="form-group  col-md-2">
                    <label>From </label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="from"  >
                    </div>
                  </div>
                  <div class="form-group col-md-2">
                    <label>To</label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="to" >
                    </div>
                  </div>
                 
                  
                  <div class="col" style="padding-top:30px;">
                    <button type="submit" class="btn btn-primary">Submit</button>
                  </div>
                </div>
              </form>
                <table id="example1" class="table table-bordered table-striped">
                    <thead>
                      <tr>
                        <th scope="col">Item Name</th>
                        <th scope="col">Unit</th>
                        <th scope="col">Opening</th>
                        <th scope="col">Op. Amt.</th>
                        <th scope="col">Purchase</th>
                        <th scope="col">Pur. Amt.</th>
                        <th scope="col">Rcpt</th>
                        <th scope="col">Rcpt. Amt.</th>
                        <th scope="col">Issues</th>
                        <th scope="col">Issue Amt.</th>
                        <th scope="col">Cl. Stock</th>
                        <th scope="col">Closing Value</th>
                      </tr>
                    </thead>
                    <tbody>
                        
                        <?php $__currentLoopData = $report; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stock): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr class="odd">
                            <td><?php echo e($stock['item']); ?></td>
                            <td><?php echo e($stock['unit']); ?></td>
                            <td><?php echo e($stock['opening']); ?></td>
                            <td><?php echo e($stock['op_amount']); ?></td>
                            <td><?php echo e($stock['purchase']); ?></td>
                            <td><?php echo e($stock['pur_amount']); ?></td>
                            <td><?php echo e($stock['rcpt']); ?></td>
                            <td><?php echo e($stock['rcpt_amount']); ?></td>
                            <td><?php echo e($stock['issue']); ?></td>
                            <td><?php echo e($stock['issue_amount']); ?></td>
                            <td><?php echo e($stock['cl_stock']); ?></td>
                            <td><?php echo e($stock['cl_value']); ?></td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tfoot>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thomsonscasa/public_html/Bar/resources/views/kitchen_purchases/stock_report.blade.php ENDPATH**/ ?>