<?php $__env->startSection('content'); ?>

<div class="card card-primary">
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
      <div class="card-header">
        <h3 class="card-title">Edit Kitchen Item Purchases</h3>
      </div>
      
        
        <div class="card-body">
            <form action="<?php echo e(route('kitchen_purchases.update',$purchase->kp_id)); ?>" method="post" >
        <?php echo csrf_field(); ?>
        <?php echo method_field("PATCH"); ?>
          <div class="row">
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Purchase Date</label>
                <input type="date" class="form-control" name="purchase_date"  value="<?php echo e($purchase->purchase_date); ?>" placeholder="" required>
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Invoice No</label>
                <input type="text" class="form-control" name="invoice_no" value="<?php echo e($purchase->invoice_no); ?>"  placeholder="" required>
              </div> 
              
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Select Vendor</label>
                 <select class="form-control select2" name="vendor_id" required>
                     <option value="<?php echo e($purchase->v_id); ?>" hidden><?php echo e($purchase->name); ?></option>
                   <?php if(count($vendors) > 0 ): ?>
                    <?php $__currentLoopData = $vendors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vendor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($vendor->v_id); ?>"><?php echo e($vendor->name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                   <?php endif; ?>
                </select>
              </div> 
               <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Payment Type</label>
                <select class="form-control" name="payment_type_id" required>
                    <?php if($purchase->transaction_type == 1): ?>
                    <option value="1" hidden>Credit</option>
                    <?php else: ?>
                    <option value="2" hidden>Cash</option>
                    <?php endif; ?>
                    <option value="1">Credit</option>
                    <option value="2">Cash</option>
                </select>
              </div> 
              
              
               <div class="container col-md-12">
                  <div class="table-responsive">
                  <table class="table table-bordered">
                    <thead>
                    <tr>
                      <th class="col-2">Item</th>
                     <th class="col-2">Unit</th>
                      <th>Rate</th>
                      <th>Qty</th>
                      <th>Gross</th>
                       <th>Disc</th>
                       <th>Tax</th>
                       <th>Amount</th>
                    
                      
                    </tr>
                    </thead>
                    <tbody id="tbody">
                
                        <?php if(count($purchase_items) > 0 ): ?>
                        <?php ($i=0); ?>
                         <?php $__currentLoopData = $purchase_items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $p_item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php ($i++); ?>
                            <tr>
                                <td class="row-index text-center">
                                    <select class="form-control" name="items[]" id="item<?php echo e($i); ?>" onchange="funUnit(this.value,<?php echo e($i); ?>)" required>
                                        <?php if(count($items)>0): ?>
                                        <option value="<?php echo e($p_item->item_id); ?>"><?php echo e($p_item->item_name); ?></option>
                                            <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($item->ki_id); ?>"><?php echo e($item->item_name); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </select>
                                  </td>
                                  <td class="row-index text-center">
                                     <select class="form-control" name="units[]" required>
                                         <option value="<?php echo e($p_item->unit_id); ?>"><?php echo e($p_item->unit); ?></option>
                                        <?php if(count($items)>0): ?>
                                            <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($unit->id); ?>"><?php echo e($unit->unit); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </select>
                                  </td>
                                  <td class="row-index text-center">
                                     <input type="number" step="any" class="form-control" name="rate[]" id="rate<?php echo e($i); ?>" value="<?php echo e($p_item->rate); ?>" onchange="funCalc(<?php echo e($i); ?>)" placeholder="" required>
                                  </td>
                                   <td class="row-index text-center">
                                     <input type="number" step="any" class="form-control" name="qty[]" id="qty<?php echo e($i); ?>" value="<?php echo e($p_item->qty); ?>" onchange="funCalc(<?php echo e($i); ?>)" placeholder="" required>
                                  </td>
                                  
                                  <td class="row-index text-center">
                                     <input type="number" step="any" class="form-control" name="gross[]" id="gross<?php echo e($i); ?>" value="<?php echo e($p_item->gross); ?>" onchange="funTotal()" placeholder="">
                                  </td>
                                  <td class="row-index text-center">
                                     <input type="number" step="any" class="form-control" name="disc[]" id="disc<?php echo e($i); ?>" value="<?php echo e($p_item->disc); ?>" onchange="funCalc(<?php echo e($i); ?>)" placeholder="">
                                  </td>
                                  <td class="row-index text-center">
                                      <input type="hidden" id="tax_per<?php echo e($i); ?>">
                                     <input type="number" step="any" class="form-control" name="tax[]" id="tax<?php echo e($i); ?>" value="<?php echo e($p_item->tax); ?>" onchange="funTotal(); funCalc(<?php echo e($i); ?>) " placeholder="">
                                  </td>
                                  <td class="row-index text-center">
                                     <input type="number" step="any" class="form-control" value="<?php echo e($p_item->amount); ?>" id="amount<?php echo e($i); ?>" name="amount[]"  onchange="funTotal()" placeholder="" required>
                                  </td>
     
                                
                                
                                
                            
                            </tr>
                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </tbody>
                  </table>
                  </div>
                  
                  
                  <br>
                  
                </div>
              
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Gross Amount</label>
                <input type="number" step="any" class="form-control" name="gross_amount" id="totalGross"  value="<?php echo e($purchase->gross_amount); ?>"  placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Tax Amount</label>
                <input type="number" step="any" class="form-control" name="tax_amount" id="totalTax"   value="<?php echo e($purchase->tax_amount); ?>"  placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Freight</label>
                <input type="text" class="form-control" name="freight"   value="<?php echo e($purchase->freight); ?>"  id="freight" onchange="funTotal()" placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Round Off</label>
                <input type="number" step="any" class="form-control" name="round_off"  id="roundoff" onchange="funTotal()" value="<?php echo e($purchase->round_off); ?>"  placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Net Amount</label>
                <input type="number" step="any" class="form-control" name="net_amount" id="totalNet"  value="<?php echo e($purchase->net_amount); ?>" placeholder="" required>
              </div>
               </div> 
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
              
              
              
              
             </form>
              
          </div> 
        <!-- /.card-body -->

       
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>

<script>

    $(document).ready(function(){
        var rowCount = $("#tbody tr").length;
        var purchase_items = <?php echo $purchase_items; ?>;
        console.log(purchase_items);
        for(var i=1;i<=rowCount;i++)
        {
            var k = i -1;
            var id = purchase_items[k].item_id;
            $.ajax({
                type : 'POST',
                data: {'id' : id,'_token':'<?php echo e(csrf_token()); ?>'},
                url : "<?php echo e(url('/kitchen_purchases/unitDetails')); ?>",
                success:function(data){
                    $("#tax_per"+i).val(data[0]["tax"]);
                },
                async: false
            });
        }
    });
    function funUnit(id,row){
      $.ajax({
            type : 'POST',
            data: {'id' : id,'_token':'<?php echo e(csrf_token()); ?>'},
            url : "<?php echo e(url('/kitchen_purchases/unitDetails')); ?>",
            success:function(data){
                
                //console.log(data);
                $("#unit"+row).empty();
                $("#unit"+row).append($("<option></option>").attr("value", data[0]["unit_id"]).text(data[0]["unit"])); 
                if(data[1]["rate"]){
                    $("#rate"+row).val(data[1]["rate"]);
                }else{
                    $("#rate"+row).val(0);
                }
                $("#tax_per"+row).val(data[0]["tax"]);
            },
            async: false
        });
        
        funCalc(row);
    }
    
    function funCalc(row){
      var qty = parseFloat($("#qty"+row).val());
      var rate = parseFloat($("#rate"+row).val());
      var disc = parseFloat($("#disc"+row).val());
      var tax_per = parseFloat($("#tax_per"+row).val())||0;
      if(rate && qty)
      {
          var gross = rate * qty;
          gross = gross.toFixed(2); 
          $("#gross"+row).val(gross);
          $("#amount"+row).val(gross);
          
          var tax = parseFloat((gross*tax_per)/100);
          tax = tax.toFixed(2); 
          $("#tax"+row).val(tax);
      }
      if(disc){
          var amount = parseFloat($("#amount"+row).val()) - disc ;
            amount = amount.toFixed(2); 
          $("#amount"+row).val(amount);
      }
      if(tax){
          var amount = parseFloat($("#amount"+row).val()) + parseFloat(tax) ;
            amount = amount.toFixed(2); 
          $("#amount"+row).val(amount);
      }
       
      
      funTotal();
      
    }
    
    function funTotal()
    {
        var rowCount = $('#tbody tr').length;
        var totGross = parseFloat(0);
        var totTax = parseFloat(0);
        var totNet = parseFloat(0);
            for (var i = 1; i <= rowCount; i++) {
                // console.log(i);
               
                var gross = parseFloat($("#gross"+i).val());
                var tax = parseFloat($("#tax"+i).val());
                 var amount = parseFloat($("#amount"+i).val());
                 var frei = parseFloat($("#freight").val());
                 var round = parseFloat($("#roundoff").val());
                if(isNaN(gross)  ){
                    
                }else{
                    totGross = totGross + gross;
                     
                }
                if(isNaN(tax)  ){
                    
                }else{
                    totTax = totTax + tax;
                     
                }
                if(isNaN(amount)){
                    
                }else{
                   totNet = totNet + amount; 
                }
            } 
            var totalNet = totNet + frei;
            if(round)
            {
               totalNet = parseFloat(totalNet) + parseFloat(round);
            }
            // console.log(Math.ceil(totalNet));
             $("#totalGross").val(totGross);
             $("#totalTax").val(totTax); 
             $("#totalNet").val(totNet);
             $("#totalNet").val(totalNet);
        
    }
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/eseastore/public_html/resources/views/kitchen_purchases/edit.blade.php ENDPATH**/ ?>