<?php $__env->startSection('content'); ?>
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Bank Report</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <form >
                <?php echo csrf_field(); ?>
                <div class="row">
                  <div class="form-group  col-md-2">
                    <label>From </label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="from"  >
                    </div>
                  </div>
                  <div class="form-group col-md-2">
                    <label>To</label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="to" >
                    </div>
                  </div>
                  <div class="form-group col-md-2">
                    <label for="exampleInputEmail1">Bank</label>
                    <select  class="form-control" name="bank_id"  >
                        <option value="" hidden></option>
                        <?php $__currentLoopData = $banks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bank): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($bank->b_id); ?>"><?php echo e($bank->bank_name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                  </div>
                  
                  <div class="col" style="padding-top:30px;">
                    <button type="submit" class="btn btn-primary">Submit</button>
                  </div>
                </div>
              </form>
                <table id="example1" class="table table-bordered table-striped">
                    <thead>
                      <tr>
                        <th scope="col">Sl No</th>
                        <th scope="col">Bank Name</th>
                        <th scope="col">Withdraw</th>
                        <th scope="col">Deposit</th>
                        <th scope="col">Bank Balance</th>
                      </tr>
                    </thead>
                    <tbody>
                        <?php $withTotal = 0; $depTotal = 0; ?>
                      <?php ($i=1); ?>
                      <?php $__currentLoopData = $report; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bank): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                      
                      <tr class="odd">
                        <th scope="row"><?php echo e($i++); ?></th>
                        <td><?php echo e($bank['bank']); ?></td>
                        <td><?php echo e($bank['withdraw']); ?></td>
                        <td><?php echo e($bank['deposit']); ?></td>
                        <td><?php echo e($bank['balance']); ?></td>
                       
                      </tr>
                      <?php $withTotal += $bank['withdraw'];
                            $depTotal += $bank['deposit'];
                        ?>
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                       <tr>
                          <th scope="row">Total</td>
                          <td></td>
                          <td><?php echo e($withTotal); ?></td>
                          <td><?php echo e($depTotal); ?></td>
                          <td></td>
                      </tr>
                      
                    </tfoot>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thomsonscasa/public_html/Bar/resources/views/bank/report.blade.php ENDPATH**/ ?>