<?php $__env->startSection('content'); ?>
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Supplier Wise Sale Report</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <form>
                    <?php echo csrf_field(); ?>
                      <div class="row">
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">From</label>
                            <input type="date" class="form-control" name="from" >
                          </div> 
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">To</label>
                            <input type="date" class="form-control" name="to" >
                          </div> 
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">Supplier</label>
                            <select class="form-control " name="supplier_id">
                                <option value="" hidden></option>
                                <?php $__currentLoopData = $suppliers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $supplier): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($supplier->s_id); ?>"><?php echo e($supplier->supplier_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                          </div>
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">Counter</label>
                            <select class="form-control select2 " name="counter_id[]" multiple>
                                <option value="" hidden></option>
                                <?php $__currentLoopData = $counters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $counter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($counter->cntr_id); ?>"><?php echo e($counter->counter_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                          </div>
                          
                          <div class="form-group col-md-2 py-2">
                              <br>
                              <button type="submit" id='reload' class="btn btn-primary">Submit</button>
                          </div>
                      </div>
                  </form>
         
            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                      <th>Sl No</th>
                    <th scope="col">Supplier</th>
                    <th>Item Head</th>
                    <th scope="col">Item Name</th>
                    <th scope="col">Unit</th>
                    <th scope="col">Qty</th>
                    <th scope="col">Rate</th>
                    <th scope="col">Amout</th>
                  </tr>
                </thead>
                <tbody>
                    <?php ($cnt=1); ?>
                    <?php for($i = 0 ; $i < count($last_supplier_array) ; $i++): ?>
                    <?php for($j = 0 ; $j < count($last_supplier_array[$i]) ; $j++): ?>
                    <tr>
                        <td><?php echo e($cnt++); ?></td>
                        <td><?php echo e($last_supplier_array[$i][$j][0]); ?></td>
                        <td><?php echo e($last_supplier_array[$i][$j][1]); ?></td>
                        <td><?php echo e($last_supplier_array[$i][$j][2]); ?></td>
                        <td><?php echo e($last_supplier_array[$i][$j][3]); ?></td>
                       <td><?php echo e($last_supplier_array[$i][$j][4]); ?></td>
                        <td><?php echo e($last_supplier_array[$i][$j][5]); ?></td>
                        <td><?php echo e($last_supplier_array[$i][$j][6]); ?></td>
                    </tr>
                    <?php endfor; ?>
                    <?php endfor; ?>
                    
                    
                   
                </tfoot>
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thevarholdings/public_html/Bar/resources/views/reports/supplier_wise_sale_report.blade.php ENDPATH**/ ?>