<?php $__env->startSection('content'); ?>

<div class="card card-primary">
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
      <div class="card-header">
        <h3 class="card-title">Store Issue</h3>
      </div>
      
        <form action="<?php echo e(route('kitchen_issues.update',$issues->kis_id)); ?>" method="post" >
        <?php echo csrf_field(); ?>
        <?php echo method_field("PATCH"); ?>
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Issue No</label>
                <input type="number" class="form-control" name="issue_no" value="<?php echo e($issues->issue_no); ?>"   readonly required>
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Date</label>
                <input type="date" class="form-control" name="date" value="<?php echo e($issues->date); ?>"  required>
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Counter</label>
                <select class="form-control" name="counter_id" required>
                    <option value="<?php echo e($issues->counter_id); ?>" hidden><?php echo e($issues->counter_name); ?></option>
                    <?php $__currentLoopData = $counters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $counter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($counter->cntr_id); ?>" ><?php echo e($counter->counter_name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
              </div>
               <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Remarks</label>
                <input type="text" class="form-control" name="remarks" value="<?php echo e($issues->remarks); ?>" placeholder="" >
              </div> 
          </div>
          <div class="container col-md-12">
                <div class="table-responsive">
                  <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th >Item Name</th>
                            <th >Unit</th>
                            <th >Quantity</th>
                        </tr>
                    </thead>
                    <tbody id="tbody">
                         <?php if(count($issue_items) > 0 ): ?>
                         <?php $__currentLoopData = $issue_items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $issue_item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr id="R${++rowIdx}">
                          <td class="row-index text-center">
                            <select name="item_id[]" required class="form-control select2" onchange="funUnit(this.value,`+rowIdx+`)" required>
                            <option hidden value="<?php echo e($issue_item->item_id); ?>"><?php echo e($issue_item->item_name); ?> </option>
                            <?php if(count($items) > 0): ?>
                                <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                  <option value="<?php echo e($item->ki_id); ?>"><?php echo e($item->item_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                             <?php endif; ?>
                            </select>
                          </td>
                           <td class="row-index text-center">
                            <select name="unit_id[]" required class="form-control" id="unit`+rowIdx+`" required>
                            <option hidden value="<?php echo e($issue_item->unit_id); ?>"><?php echo e($issue_item->unit); ?></option>
                            <?php if(count($units) > 0): ?>
                                <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                  <option value="<?php echo e($unit->id); ?>"><?php echo e($unit->unit); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                             <?php endif; ?>
                                
                            </select>
                          </td>
                          <td class="row-index text-center">
                            <input type="text" class="form-control" name="qty[]" value="<?php echo e($issue_item->quantity); ?>" placeholder="" required>
                          </td>
                         
                          <!--<td class="row-index text-center">-->
                            <input type="text" class="form-control" name="rate[]" value="<?php echo e($issue_item->rate); ?>" placeholder="" hidden readonly>
                          <!--</td>-->
                          
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </tbody>
                  </table>
                 </div>
                 
            </div>
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>

</div>



  
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thomsonscasa/public_html/Bar/resources/views/kitchen_issues/edit.blade.php ENDPATH**/ ?>