<?php $__env->startSection('content'); ?>

<div class="card card-primary">
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
      <div class="card-header">
        <h3 class="card-title">Kitchen Item Purchases</h3>
      </div>
      
        <form action="<?php echo e(route('kitchen_purchases.store')); ?>" method="post" >
        <?php echo csrf_field(); ?>
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Purchase Date</label>
                <input type="date" class="form-control" name="purchase_date"  placeholder="" required>
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Invoice No</label>
                <input type="text" class="form-control" name="invoice_no"  placeholder="" required>
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Select Vendor</label>
                 <select class="form-control select2" name="vendor_id" required>
                     <option value=""></option>
                   <?php if(count($vendors) > 0 ): ?>
                    <?php $__currentLoopData = $vendors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vendor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($vendor->v_id); ?>"><?php echo e($vendor->name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                   <?php endif; ?>
                </select>
              </div> 
               <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Payment Type</label>
                <select class="form-control" name="payment_type_id" required>
                    <option value="" hidden></option>
                    <option value="1">Credit</option>
                    <option value="2">Cash</option>
                </select>
              </div> 
              
              
               <div class="container col-md-12">
                  <div class="table-responsive">
                  <table class="table table-bordered" id="purchaseTable">
                    <thead>
                    <tr>
                      <th class="col-2">Item</th>
                     <th class="col-2">Unit</th>
                      <th >Rate</th>
                      <th>Qty</th>
                      <th>Gross</th>
                       <th>Disc</th>
                       <th>Tax</th>
                       <th>Amount</th>
                    
                      <th >#</th>
                    </tr>
                    </thead>
                    <tbody id="tbody">
                        <tr id="R${++rowIdx}">
                          <td class="row-index text-center">
                            <select class="form-control select2 " name="items[]" id="item1" onchange="funUnit(this.value,1)"  required>
                            <option value=""></option>
                                <?php if(count($items)>0): ?>
                                    <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($item->ki_id); ?>"><?php echo e($item->item_name); ?></option>
                                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </select>
                          </td>
                          <td class="row-index text-center">
                             <select class="form-control" name="units[]" id="unit1" required>
                                <?php if(count($items)>0): ?>
                                    <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($unit->id); ?>"><?php echo e($unit->unit); ?></option>
                                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </select>
                          </td>
                          <td class="row-index text-center">
                             <input type="text" class="form-control" name="rate[]" id="rate1"  placeholder="" required>
                          </td>
                           <td class="row-index text-center">
                             <input type="text" class="form-control" name="qty[]" id="qty1" onchange="funCalc(1)" placeholder="" required>
                          </td>
                          
                          <td class="row-index text-center">
                             <input type="text" class="form-control" name="gross[]" id="gross1" onchange="funTotal(1)" placeholder="" >
                          </td>
                          <td class="row-index text-center">
                             <input type="text" class="form-control" name="disc[]" id="disc1" onchange="funCalc(1)" placeholder="" >
                          </td>
                          <td class="row-index text-center">
                             <input type="text" class="form-control" name="tax[]" id="tax1" onchange="funTotal(1); funCalc(1) "  placeholder="" >
                          </td>
                          <td class="row-index text-center">
                             <input type="text" class="form-control" name="amount[]" id="amount1" onchange="funTotal(1)" placeholder="" required>
                          </td>
                         
                         
                        
                          <td class="text-center">
                            
                            </td>
                          </tr>
                    </tbody>
                  </table>
                  </div>
                  <button class="btn btn-md btn-success"
                  id="addBtn" type="button">
                    +
                  </button>
                  
                  <br>
                  
                </div>
              
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Gross Amount</label>
                <input type="text" class="form-control" name="gross_amount" id="totalGross"  placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Tax Amount</label>
                <input type="text" class="form-control" name="tax_amount" id="totalTax"  placeholder="" value="0" >
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Freight</label>
                <input type="text" class="form-control" name="freight" id="freight" onchange="funTotal(1)" placeholder="" value="0">
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Round Off</label>
                <input type="text" class="form-control" name="round_off" id="roundoff" onchange="funTotal(1)"  placeholder="" value="0">
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Net Amount</label>
                <input type="text" class="form-control" name="net_amount" id="totalNet" placeholder="" required>
              </div>
              
          </div> 
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>
</div>
<script src=
"https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js">
</script>
<script src=
"https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js">
</script>


<script>
  $(document).ready(function () {

  // Denotes total number of rows
  var rowIdx = 1;

  // jQuery button click event to add a row
  $('#addBtn').on('click', function () {

    // Adding a row inside the tbody.
    $('#tbody').append(`<tr id="R${++rowIdx}">
      <td class="row-index text-center">
        <select class="form-control select2 " name="items[]" id="item`+rowIdx+`" onchange="funUnit(this.value,`+rowIdx+`)"  required>
        <option value=""></option>
            <?php if(count($items)>0): ?>
                <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($item->ki_id); ?>"><?php echo e($item->item_name); ?></option>
              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
        </select>
      </td>
      <td class="row-index text-center">
         <select class="form-control" name="units[]" id="unit`+rowIdx+`" required>
            <?php if(count($items)>0): ?>
                <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($unit->id); ?>"><?php echo e($unit->unit); ?></option>
              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
        </select>
      </td>
      <td class="row-index text-center">
         <input type="text" class="form-control" name="rate[]" id="rate`+rowIdx+`"  placeholder="" required>
      </td>
       <td class="row-index text-center">
         <input type="text" class="form-control" name="qty[]" id="qty`+rowIdx+`" onchange="funCalc(`+rowIdx+`)" placeholder="" required>
      </td>
      
      <td class="row-index text-center">
         <input type="text" class="form-control" name="gross[]" id="gross`+rowIdx+`" onchange="funTotal(2)" placeholder="" >
      </td>
      <td class="row-index text-center">
         <input type="text" class="form-control" name="disc[]" id="disc`+rowIdx+`" onchange="funCalc(`+rowIdx+`)" placeholder="" >
      </td>
      <td class="row-index text-center">
         <input type="text" class="form-control" name="tax[]" id="tax`+rowIdx+`" onchange="funTotal(2); funCalc(`+rowIdx+`) "  placeholder="" >
      </td>
      <td class="row-index text-center">
         <input type="text" class="form-control" name="amount[]" id="amount`+rowIdx+`" onchange="funTotal(2)" placeholder="" required>
      </td>
     
     
    
      <td class="text-center">
        <button class="btn btn-danger remove"
        type="button">-</button>
        </td>
      </tr>`);
       $('.select2').select2();
  });

  // jQuery button click event to remove a row.
  $('#tbody').on('click', '.remove', function () {
    var child = $(this).closest('tr').nextAll();
  
    child.each(function () {
    var id = $(this).attr('id');
    var idx = $(this).children('p');
    var dig = parseInt(id.substring(1));
    idx.html(`Row ${dig - 1}`);
    $(this).attr('id', `R${dig - 1}`);
    });

    $(this).closest('tr').remove();

    rowIdx--;
  });
  });


    function funUnit(id,row){
      $.ajax({
            type : 'POST',
            data: {'id' : id,'_token':'<?php echo e(csrf_token()); ?>'},
            url : "<?php echo e(url('/kitchen_purchases/unitDetails')); ?>",
            success:function(data){
                
                console.log(data);
                $("#unit"+row).empty();
                $("#unit"+row).append($("<option></option>").attr("value", data[0]["unit_id"]).text(data[0]["unit"])); 
                if(data[1]["rate"]){
                    $("#rate"+row).val(data[1]["rate"]);
                }else{
                    $("#rate"+row).val(0);
                }
            },
            async: false
        });
    
    }
    
    function funCalc(row){
      var qty = parseFloat($("#qty"+row).val());
      var rate = parseFloat($("#rate"+row).val());
      var disc = parseFloat($("#disc"+row).val());
      var tax = parseFloat($("#tax"+row).val());
      var gross = rate * qty;
      gross = gross.toFixed(2); 
      $("#gross"+row).val(gross);
      $("#amount"+row).val(gross);
      if(disc){
          var amount = parseFloat($("#amount"+row).val()) - disc ;
            amount = amount.toFixed(2); 
          $("#amount"+row).val(amount);
      }
      if(tax){
          var amount = parseFloat($("#amount"+row).val()) + tax ;
            amount = amount.toFixed(2); 
          $("#amount"+row).val(amount);
      }
       
      
      funTotal(1);
      
    }
    
    function funTotal(row){
        var rowCount = $('#purchaseTable tr').length;
        
        
      
        var totGross = parseFloat(0);
        var totTax = parseFloat(0);
        var totNet = parseFloat(0);
            for (var i = 1; i < rowCount; i++) {
                // console.log(i);
               
                var gross = parseFloat($("#gross"+i).val());
                var tax = parseFloat($("#tax"+i).val());
                 var amount = parseFloat($("#amount"+i).val());
                 var frei = parseFloat($("#freight").val());
                 var round = parseFloat($("#roundoff").val());
                if(isNaN(gross)  ){
                    
                }else{
                    totGross = totGross + gross;
                     
                }
                if(isNaN(tax)  ){
                    
                }else{
                    totTax = totTax + tax;
                     
                }
                if(isNaN(amount)){
                    
                }else{
                   totNet = totNet + amount; 
                }
            } 
            
            var totalNet = totNet + frei;
            if(round){
               totalNet = Math.ceil(totalNet);
            }
            // console.log(Math.ceil(totalNet));
             $("#totalGross").val(totGross);
             $("#totalTax").val(totTax); 
             $("#totalNet").val(totNet);
             $("#totalNet").val(totalNet);
        
    }
   
  
</script>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thomsonscasa/public_html/Bar/resources/views/kitchen_purchases/create.blade.php ENDPATH**/ ?>