<?php $__env->startSection('content'); ?>

<div class="card card-primary">
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
      <div class="card-header">
        <h3 class="card-title">Store Item Purchases</h3>
      </div>
      
        
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Purchase Date</label>
                <input type="date" class="form-control" name="purchase_date"  value="<?php echo e($purchase->purchase_date); ?>" placeholder="" required>
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Invoice No</label>
                <input type="text" class="form-control" name="invoice_no" value="<?php echo e($purchase->invoice_no); ?>"  placeholder="" required>
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1"> Vendor</label>
                <input type="text" class="form-control" value="<?php echo e($purchase->name); ?>"   required>
                
              </div> 
               <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Payment Type</label>
               <input type="text" class="form-control"   value="<?php if($purchase->transaction_type == 1): ?> Credit <?php else: ?> Cash <?php endif; ?>"  required>
              </div> 
              
              
               <div class="container col-md-12">
                  <div class="table-responsive">
                  <table class="table table-bordered">
                    <thead>
                    <tr>
                      <th >Item</th>
                     <th>Unit</th>
                      <th>Rate</th>
                      <th>Qty</th>
                      <th>Gross</th>
                       <th>Disc</th>
                       <th>Tax</th>
                       <th>Amount</th>
                    
                      
                    </tr>
                    </thead>
                    <tbody id="tbody">
                
                        <?php if(count($items) > 0 ): ?>
                         <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($item->item_name); ?></td>
                                <td><?php echo e($item->unit); ?></td>
                                <td><?php echo e($item->rate); ?></td>
                                <td><?php echo e($item->qty); ?></td>
                                <td><?php echo e($item->gross); ?></td>
                                <td><?php echo e($item->disc); ?></td>
                                <td><?php echo e($item->tax); ?></td>
                                <td><?php echo e($item->amount); ?></td>
                            </tr>
                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </tbody>
                  </table>
                  </div>
                  
                  
                  <br>
                  
                </div>
              
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Gross Amount</label>
                <input type="text" class="form-control" name="gross_amount"  value="<?php echo e($purchase->gross_amount); ?>"  placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Tax Amount</label>
                <input type="text" class="form-control" name="tax_amount"   value="<?php echo e($purchase->tax_amount); ?>"  placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Freight</label>
                <input type="text" class="form-control" name="freight"   value="<?php echo e($purchase->freight); ?>" placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Round Off</label>
                <input type="text" class="form-control" name="round_off"  value="<?php echo e($purchase->round_off); ?>"  placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Net Amount</label>
                <input type="text" class="form-control" name="net_amount"   value="<?php echo e($purchase->net_amount); ?>" placeholder="" required>
              </div>
              
          </div> 
        <!-- /.card-body -->

       
    </div>
</div>



<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/eseastore/public_html/resources/views/kitchen_purchases/show.blade.php ENDPATH**/ ?>