<?php $__env->startSection('content'); ?>
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Stock Report</h1>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
    <div class="row">
        <div class="col-12">
        <div class="card">
            
            <!-- /.card-header -->
            <div class="card-body">
            <form>
                <?php echo csrf_field(); ?>
                  <div class="row">
                      
                      <div class="form-group col-md-2">
                        <label for="exampleInputEmail1">From</label>
                        <input type="date" class="form-control" name="from" >
                      </div> 
                      
                      <div class="form-group col-md-2">
                        <label for="exampleInputEmail1">To</label>
                        <input type="date" class="form-control" name="to" >
                      </div> 
                      
                      
                     
                      <div class="form-group col-md-2">
                        <label for="exampleInputEmail1">Counter</label>
                        <select class="form-control select2" name="counter_id[]" multiple>
                            <option value="" hidden>-- select counter --</option>
                            <?php $__currentLoopData = $counters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $counter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($counter->cntr_id); ?>"><?php echo e($counter->counter_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                      </div>
                      
                      
                      <div class="form-group col-md-2 py-2">
                          <br>
                          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
                      </div>
                  </div>
              </form>
            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th scope="col">Sl No</th>
                    <th scope="col">Category</th>
                    <th scope="col">Item</th>
                    <th>Unit</th>
                    <th scope="col">Stock in Bottles</th>
                    <th scope="col">Stock in Peg</th>
                    <th scope="col">Rate</th>
                    <th scope="col">Value</th>
                  </tr>
                </thead>
                <tbody>
                  <?php ($cnt=1); ?>
                    <?php for($i = 0 ; $i < count($last_supplier_array) ; $i++): ?>
                    <?php for($j = 0 ; $j < count($last_supplier_array[$i]) ; $j++): ?>
                    <tr>
                        <td><?php echo e($cnt++); ?></td>
                        <td><?php echo e($last_supplier_array[$i][$j][0]); ?></td>
                        <td><?php echo e($last_supplier_array[$i][$j][1]); ?></td>
                        <td><?php echo e($last_supplier_array[$i][$j][2]); ?></td>
                        <td><?php echo e($last_supplier_array[$i][$j][3]); ?></td>
                       <td><?php echo e($last_supplier_array[$i][$j][4]); ?></td>
                        <td><?php echo e($last_supplier_array[$i][$j][5]); ?></td>
                        <td><?php echo e($last_supplier_array[$i][$j][6]); ?></td>
                    </tr>
                    <?php endfor; ?>
                    <?php endfor; ?>
                  
                </tfoot>
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thevarholdings/public_html/Bar/resources/views/reports/stock_report.blade.php ENDPATH**/ ?>