<?php $__env->startSection('content'); ?>

<div class="card card-primary">
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
      <div class="card-header">
        <h3 class="card-title">Issue Of Items</h3>
      </div>
      
        <form action="<?php echo e(route('issue.store')); ?>" method="post" >
        <?php echo csrf_field(); ?>
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-1">
                <label for="exampleInputEmail1">Issue No</label>
                <input type="text" class="form-control" name="issue_no" value="<?php echo e($issue_no->issue_no); ?>" placeholder="" readonly required>
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Date</label>
                <input type="date" class="form-control" name="date"  placeholder="" required>
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Category</label>
                <select class="form-control" name="status" required>
                    <option value="" hidden></option>
                    <option value="0" >Issue</option>
                    <option value="2" >Transfer</option>
                    
                </select>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">From Counter</label>
                <select class="form-control" name="from_counter_id" required>
                    <option value="12" hidden>LIQURE STORE</option>
                    <?php $__currentLoopData = $counters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $counter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($counter->cntr_id); ?>" ><?php echo e($counter->counter_name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">To Counter</label>
                <select class="form-control" name="counter_id" required>
                    <option value="" hidden></option>
                    <?php $__currentLoopData = $counters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $counter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($counter->cntr_id); ?>" ><?php echo e($counter->counter_name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
              </div>
            
          </div>
          <div class="container col-md-12">
                  <div class="table-responsive">
                  <table class="table table-bordered">
                    <thead>
                    <tr>
                      <th class="col-5">Item Name</th>
                       <th >Unit</th>
                       <th>Measurement</th>
                        <th >Quantity</th>
                    
                      <th >#</th>
                    </tr>
                    </thead>
                    <tbody id="tbody">
                
                    </tbody>
                  </table>
                  </div>
                  <button class="btn btn-md btn-success"
                  id="addBtn" type="button">
                    +
                  </button>
                  
                  <br>
                  
                </div>
          
                   
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>

</div>

<script src=
"https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js">
</script>
<script src=
"https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js">
</script>


<script>
  $(document).ready(function () {

  // Denotes total number of rows
  var rowIdx = 0;

  // jQuery button click event to add a row
  $('#addBtn').on('click', function () {

    // Adding a row inside the tbody.
    $('#tbody').append(`<tr id="R${++rowIdx}">
      <td class="row-index text-center">
        
        <select name="item_names[]" required class="form-control select2" required>
        <option hidden value=""> </option>
        <?php if(count($items) > 0): ?>
            <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <option value="<?php echo e($item->item_id); ?>"><?php echo e($item->name); ?> - <?php echo e($item->code); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
         <?php endif; ?>
            
        </select>
      </td>
      <td class="row-index text-center">
        <select class="form-control" name="unit[]" id="unit"> 
            <option value="" hidden></option>
            <?php if(count($units)>0): ?>
                <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($unit->u_id); ?>"><?php echo e($unit->u_name); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
            
        </select>
      </td>
      <td>
        <select class="form-control" name="measurement[]" required >
            <option value="" hidden></option>
            <option value="0" >Case</option>
            <option value="1" >Nos</option>
        </select>
      </td>
      <td class="row-index text-center">
        <input type="text" class="form-control" name="qty[]"  placeholder="" required>
      </td>
    
      <td class="text-center">
        <button class="btn btn-danger remove"
        type="button">-</button>
        </td>
      </tr>`);
      
       $('.select2').select2();
      
      
  });

  // jQuery button click event to remove a row.
  $('#tbody').on('click', '.remove', function () {
    var child = $(this).closest('tr').nextAll();
  
    child.each(function () {
    var id = $(this).attr('id');
    var idx = $(this).children('p');
    var dig = parseInt(id.substring(1));
    idx.html(`Row ${dig - 1}`);
    $(this).attr('id', `R${dig - 1}`);
    });

    $(this).closest('tr').remove();

    rowIdx--;
  });
  });

  </script>

<script>
    function funUnit(id){
     
          $.ajax({
                type : 'POST',
                data: {'id' : id,'_token':'<?php echo e(csrf_token()); ?>'},
                url : "<?php echo e(url('/issue/unitDetails')); ?>",
                success:function(data){
                    // alert(data);
                    // console.log(data);
                    
                    $("#unit").empty();
                    for (var i in data) {
                        $("#unit").append('<option value=' + data[i]['u_id'] + '>' + data[i]['u_name'] + '</option>').change;
                    }
                },
                async: false
            });
        
  }
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thevarholdings/public_html/Bar/resources/views/issue/create.blade.php ENDPATH**/ ?>