<?php $__env->startSection('content'); ?>
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Detailed Transactions</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <form >
                <?php echo csrf_field(); ?>
                <div class="row">
                  <div class="form-group  col-md-2">
                    <label>From </label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="from"  >
                    </div>
                  </div>
                  <div class="form-group col-md-2">
                    <label>To</label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="to" >
                    </div>
                  </div>
                  
                  <div class="col" style="padding-top:30px;">
                    <button type="submit" class="btn btn-primary">Submit</button>
                  </div>
                </div>
              </form>
              <?php if(count($transactions) > 0): ?>
                
                        
                <table id="example1" class="table table-bordered table-striped">
                    <thead>
                      <tr>
                        <th scope="col">Sl No</th>
                        <!--<th scope="col">Date</th>-->
                        <th scope="col-6" >Head</th>
                        <th scope="col">Narration</th>
                        <th scope="col">Credit</th>
                        <th scope="col">Debit</th>
                        <th scope="col">Bank</th>
                      </tr>
                    </thead>
                    <tbody>
                        
                        
                       
                      <?php ($i=1); ?>
                      <tr>
                          <td><?php echo e($i); ?></td>
                            <td ><b>For the period of <?php echo e(date('d-m-Y',strtotime($from))); ?> To <?php echo e(date('d-m-Y',strtotime($to))); ?></b></td>
                            <td></td>
                             <td></td>
                              <td ></td>
                              <td></td>
                             
                        </tr>
                      <?php $__currentLoopData = $transactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $report): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                      
                      <tr class="odd">
                        <th scope="row"><?php echo e($i++); ?></th>
                        <!--<td><?php echo e($report['date']); ?></td>-->
                        <td><?php echo e($report['head']); ?></td>
                        <td><?php echo e($report['remarks']); ?></td>
                        <td><?php echo e($report['credit']); ?></td>
                        <td><?php echo e($report['debit']); ?></td>
                        <td><?php echo e($report['bank']); ?></td>
                       
                      </tr>
                     
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      <tr class="odd">
                        <th scope="row"><?php echo e($i++); ?></th>
                        <!--<td><?php echo e($report['date']); ?></td>-->
                        <td></td>
                        <td></td>
                        <td><b><?php echo e($credit_sum); ?></b></td>
                        <td><b><?php echo e($debit_sum); ?></b></td>
                        <td></td>
                       
                      </tr>
                    <!--  <tr>-->
                    <!--    <th colspan="6">The Period Of <?php echo e(date('d-m-Y',strtotime($from))); ?> To <?php echo e(date('d-m-Y',strtotime($to))); ?></th>-->
                    <!--</tr>-->
                    </tbody>
                   
                    
                </table>
                <?php endif; ?>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>



<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thevarholdings/public_html/Bar/resources/views/account_transactions/detailed_transactions.blade.php ENDPATH**/ ?>