<?php $__env->startSection('content'); ?>

<div class="card card-primary">
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
      <div class="card-header">
        <h3 class="card-title">Account Heads</h3>
      </div>
      
        <form action="<?php echo e(route('account_heads.update',$head->ah_id)); ?>" method="post" >
        <?php echo csrf_field(); ?>
        <?php echo method_field("PATCH"); ?>
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-6">
                <label for="exampleInputEmail1">Category</label>
                <select  class="form-control" name="category"  required>
                    <option value="<?php echo e($head->category); ?>" hidden><?php echo e($head->account_category); ?></option>
                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($category->ac_id); ?>"><?php echo e($category->account_category); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
              </div>
              <div class="form-group col-md-6">
                <label for="exampleInputEmail1">Head</label>
                <input type="text" class="form-control" name="head" value="<?php echo e($head->head); ?>" placeholder="" required>
              </div>
          </div>
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>

</div>
 
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thomsonscasa/public_html/Bar/resources/views/account_heads/edit.blade.php ENDPATH**/ ?>