@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Detailed Transactions</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <form >
                @csrf
                <div class="row">
                  <div class="form-group  col-md-2">
                    <label>From </label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="from"  >
                    </div>
                  </div>
                  <div class="form-group col-md-2">
                    <label>To</label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="to" >
                    </div>
                  </div>
                  
                  <div class="col" style="padding-top:30px;">
                    <button type="submit" class="btn btn-primary">Submit</button>
                  </div>
                </div>
              </form>
              @if(count($transactions) > 0)
                
                        
                <table id="example1" class="table table-bordered table-striped">
                    <thead>
                      <tr>
                        <th scope="col">Sl No</th>
                        <!--<th scope="col">Date</th>-->
                        <th scope="col-6" >Head</th>
                        <th scope="col">Narration</th>
                        <th scope="col">Credit</th>
                        <th scope="col">Debit</th>
                        <th scope="col">Bank</th>
                      </tr>
                    </thead>
                    <tbody>
                        
                        
                       
                      @php($i=1)
                      <tr>
                          <td>{{$i}}</td>
                            <td ><b>For the period of {{date('d-m-Y',strtotime($from))}} To {{date('d-m-Y',strtotime($to))}}</b></td>
                            <td></td>
                             <td></td>
                              <td ></td>
                              <td></td>
                             
                        </tr>
                      @foreach($transactions as $report)
                      
                      <tr class="odd">
                        <th scope="row">{{$i++}}</th>
                        <!--<td>{{$report['date']}}</td>-->
                        <td>{{$report['head']}}</td>
                        <td>{{$report['remarks']}}</td>
                        <td>{{$report['credit']}}</td>
                        <td>{{$report['debit']}}</td>
                        <td>{{$report['bank']}}</td>
                       
                      </tr>
                     
                      @endforeach
                      <tr class="odd">
                        <th scope="row">{{$i++}}</th>
                        <!--<td>{{$report['date']}}</td>-->
                        <td></td>
                        <td></td>
                        <td><b>{{$credit_sum}}</b></td>
                        <td><b>{{$debit_sum}}</b></td>
                        <td></td>
                       
                      </tr>
                    <!--  <tr>-->
                    <!--    <th colspan="6">The Period Of {{date('d-m-Y',strtotime($from))}} To {{date('d-m-Y',strtotime($to))}}</th>-->
                    <!--</tr>-->
                    </tbody>
                   
                    
                </table>
                @endif
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>



@endsection