@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Transaction Report</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <form >
                @csrf
                <div class="row">
                  <div class="form-group  col-md-2">
                    <label>From </label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="from"  >
                    </div>
                  </div>
                  <div class="form-group col-md-2">
                    <label>To</label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="to" >
                    </div>
                  </div>
                  
                  <div class="col" style="padding-top:30px;">
                    <button type="submit" class="btn btn-primary">Submit</button>
                  </div>
                </div>
              </form>
                <table id="example1" class="table table-bordered table-striped">
                    <thead>
                      <tr>
                        <th scope="col">Sl No</th>
                        <!--<th scope="col">Category</th>-->
                        <th scope="col">Head</th>
                        <th scope="col">Credit</th>
                        <th scope="col">Debit</th>
                      </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <th scope="row">1</th>
                            <td><b>Opening Balance</b></td>
                            <td><b>{{$opening_balance}}</b></td>
                            <td></td>
                        </tr>
                        <?php $credTotal = 0; $debTotal = 0; ?>
                      @php($i=2)
                      @foreach($array_debit as $report)
                      
                      <tr class="odd">
                        <th scope="row">{{$i++}}</th>
                        <!--<td>{{$report['category']}}</td>-->
                        <td>{{$report['head']}}</td>
                        <td>{{$report['credit']}}</td>
                        <td>{{$report['debit']}}</td>
                       
                      </tr>
                      <?php $debTotal += $report['debit'];
                        ?>
                      @endforeach
                      @foreach($array_credit as $report)
                      
                      <tr class="odd">
                        <th scope="row">{{$i++}}</th>
                        <!--<td>{{$report['category']}}</td>-->
                        <td>{{$report['head']}}</td>
                        <td>{{$report['credit']}}</td>
                        <td>{{$report['debit']}}</td>
                       
                      </tr>
                      <?php $credTotal += $report['credit'];
                        ?>
                      @endforeach
                       <tr>
                          <th scope="row">{{$i}}</td>
                          <td><b>Total</b></td>
                          <td><b>{{$credTotal + $opening_balance}}</b></td>
                          <td><b>{{$debTotal}}</b></td>
                      </tr>
                      <tr>
                            <td scope="row">{{$i+1}}</td>
                            <td><b>Closing Balance</b></td>
                            <td><b>{{$closing_balance}}</b></td>
                            <td></td>
                        </tr>
                    </tfoot>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection