<aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="#" class="brand-link">
      <img src="{{ asset('dist/img/AdminLTELogo.png')}}" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">{{ config('app.name', 'Laravel') }}</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user panel (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="{{ asset('dist/img/user2-160x160.jpg')}}" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block"> {{ Auth::user()->name }}</a>
        </div>
      </div>

      <!-- SidebarSearch Form -->
     

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          @if(Auth::user()->role == 2)
          <li class="nav-item">
               <a class="nav-link" href="{{route('kitchen.index')}}">
                  <i class="fa fa-book nav-icon"></i>
                  <p>View Orders</p>
                </a>
            </li>
          @else
              
            @if(Auth::user()->role != 0)
            <li class="nav-item">
               <a class="nav-link" href="{{route('home')}}">
                  <i class="fa fa-tachometer nav-icon"></i>
                  <p>Dashboard</p>
                </a>
            </li>  
            <li class="nav-item">
                <a href="#" class="nav-link">
                <i class="nav-icon fas fa-list-ul"></i>
                  <p>
                    Manage
                    <i class="right fas fa-angle-left"></i>
                  </p>
                </a>

                
                <ul class="nav nav-treeview">
                    <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Counter
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="{{route('counters.create')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="{{route('counters.index')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                    </li>
                    <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Supplier
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="{{route('suppliers.create')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="{{route('suppliers.index')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                    <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Tables
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="{{route('tables.create')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="{{route('tables.index')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                    <li class="nav-item">
                        <a href="#" class="nav-link">
                        <i class="fa fa-book nav-icon"></i>
                          <p>
                            Item Heads
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="{{route('item-heads.create')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="{{route('item-heads.index')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                      
                      <li class="nav-item">
                        <a href="#" class="nav-link">
                        <i class="fa fa-book nav-icon"></i>
                          <p>
                            Item Category
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="{{route('item_category.create')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="{{route('item_category.index')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                      <li class="nav-item">
                        <a href="#" class="nav-link">
                        <i class="fa fa-book nav-icon"></i>
                          <p>
                            Items
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="{{route('items.create')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="{{route('items.index')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                      
                      <li class="nav-item">
                        <a href="#" class="nav-link">
                        <i class="fa fa-book nav-icon"></i>
                          <p>
                             Prices
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="{{route('item_prices.create')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="{{route('item_prices.index')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                      <li class="nav-item">
                        <a href="#" class="nav-link">
                        <i class="fa fa-book nav-icon"></i>
                          <p>
                            Item Cases
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="{{route('item_cases.create')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="{{route('item_cases.index')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                      
                      
                      <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Units
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="{{route('units.create')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="{{route('units.index')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                     </li>
                     <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Vendors
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="{{route('vendors.create')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="{{route('vendors.index')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                     </li>
                     <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Banks
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="{{route('banks.create')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="{{route('banks.index')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                    </li>
                    <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Account Categories
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="{{route('account_categories.create')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="{{route('account_categories.index')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                    <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Account Heads
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="{{route('account_heads.create')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="{{route('account_heads.index')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                    </li>
                </ul>
            </li>
            <li class="nav-item">
                <a href="#" class="nav-link">
                  <i class="fas fa-book nav-icon"></i>
                  <p>
                    Issue
                    <i class="fas fa-angle-left right"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                  <li class="nav-item">
                    <a href="{{route('issue.create')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Add</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="{{route('issue.index')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Issue Items</p>
                    </a>
                  </li>  
                  <li class="nav-item">
                    <a href="{{route('transfer.report')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Transfer Items</p>
                    </a>
                  </li>  
                </ul>
              </li>
            @endif
            <li class="nav-item">
                <a href="#" class="nav-link">
                  <i class="fas fa-book nav-icon"></i>
                  <p>
                    Sales
                    <i class="fas fa-angle-left right"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                  <li class="nav-item">
                    <a href="{{route('sales.create')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Add</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="{{route('sales.index')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>View Kot</p>
                    </a>
                  </li> 
                  <li class="nav-item">
                    <a href="{{route('bills.index')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>View Bot</p>
                    </a>
                  </li> 
                  <li class="nav-item">
                    <a href="{{route('view.canceled.kot')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Canceled Kot/Bot</p>
                    </a>
                  </li> 
                  <li class="nav-item">
                    <a href="{{route('sales.view')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>View Sales</p>
                    </a>
                  </li> 
                </ul>
              </li>
              
              @if(Auth::user()->role != 0)
              <li class="nav-item">
                <a href="#" class="nav-link">
                  <i class="fas fa-book nav-icon"></i>
                  <p>
                    Purchases
                    <i class="fas fa-angle-left right"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                  <li class="nav-item">
                    <a href="{{route('purchases.create')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Add</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="{{route('purchases.index')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>View</p>
                    </a>
                  </li>                
                </ul>
              </li>
                
              <li class="nav-item">
                <a href="#" class="nav-link">
                  <i class="fas fa-book nav-icon"></i>
                  <p>
                    Stock Verification
                    <i class="fas fa-angle-left right"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                  <li class="nav-item">
                    <a href="{{route('verify_stock.create')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Add</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="{{route('verify_stock.index')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>View</p>
                    </a>
                  </li>                
                </ul>
              </li>
              <li class="nav-item">
                <a href="#" class="nav-link">
                  <i class="fas fa-book nav-icon"></i>
                  <p>
                    Stock Balance
                    <i class="fas fa-angle-left right"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                  <li class="nav-item">
                    <a href="{{route('stock_balance.create')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Add</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="{{route('stock_balance.index')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>View</p>
                    </a>
                  </li>                
                </ul>
              </li>
              <li class="nav-item">
                <a href="#" class="nav-link">
                  <i class="fas fa-book nav-icon"></i>
                  <p>
                    Reports
                    <i class="fas fa-angle-left right"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                  <li class="nav-item">
                    <a href="{{route('stock.report')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p> Stock Report</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="{{route('counter_stock_report.index')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p> Counter Stock Report</p>
                    </a>
                  </li>  
                  <li class="nav-item">
                    <a href="{{route('reports.index')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p> Store Report</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="{{route('supplier_wise_sale_report.index')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Supplier Wise Sale  </p>
                    </a>
                  </li> 
                  
                  
                  <li class="nav-item">
                    <a href="{{route('item_wise_purchase_register.index')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Item Wise Purchase</p>
                    </a>
                    
                  </li> 
                  <li class="nav-item">
                    <a href="{{route('manual_stock_form.index')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Manual Stock Form</p>
                    </a>
                  </li> 
                  <li class="nav-item">
                    <a href="{{route('item_wise_sale_register.index')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Item Wise Sale Register</p>
                    </a>
                  </li> 
                  <li class="nav-item">
                    <a href="{{route('sale_summary.index')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Sale Summary</p>
                    </a>
                  </li> 
                  
                  <li class="nav-item">
                    <a href="{{route('purchase_report.index')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Purchase Report</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="{{route('sale_purchase_report.index')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Sale Purchase Report </p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="{{route('counter_wise_sale_report.index')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Consolidated Sales</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="{{route('exercise_report.index')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Exercise Report I </p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="{{url('/exercise_report/exercise_report_in_mls')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Exercise Report II</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="{{route('exercise_report.index')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Exercise Report III</p>
                    </a>
                  </li>
                   <li class="nav-item">
                    <a href="{{route('item_wise_issue.index')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Item Wise Issue</p>
                    </a>
                  </li>
                </ul>
              </li>
              <li class="nav-item">
                <a href="#" class="nav-link">
                <i class="nav-icon fas fa-book"></i>
                  <p>
                    Accounts
                    <i class="right fas fa-angle-left"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                     <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Account Transactions
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="{{route('account_transactions.create')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="{{route('account_transactions.index')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                      <li class="nav-item">
                        <a href="{{route('transaction.report')}}" class="nav-link">
                          <i class="fas fa-file nav-icon"></i>
                          <p>
                            Transactions Report
                          </p>
                        </a>
                      </li>
                      <li class="nav-item">
                        <a href="{{route('detailed_transactions.index')}}" class="nav-link">
                          <i class="fas fa-file nav-icon"></i>
                          <p>
                            Detailed Transactions 
                          </p>
                        </a>
                      </li>
                      <li class="nav-item">
                        <a href="{{route('banks.report')}}" class="nav-link">
                          <i class="fas fa-file nav-icon"></i>
                          <p>
                            Bank Report
                          </p>
                        </a>
                      </li>
                    </ul>
                </li>    
                <li class="nav-item">
                <a href="#" class="nav-link">
                <i class="nav-icon fas fa-book"></i>
                  <p>
                    Store
                    <i class="right fas fa-angle-left"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                     <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Store Items
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="{{route('kitchen_items.create')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="{{route('kitchen_items.index')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                      <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Store Purchase
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="{{route('kitchen_purchases.create')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="{{route('kitchen_purchases.index')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                      <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Store Issue
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="{{route('kitchen_issues.create')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="{{route('kitchen_issues.index')}}" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                      <li class="nav-item">
                        <a href="{{route('item.wise.report')}}" class="nav-link">
                          <i class="fas fa-file nav-icon"></i>
                          <p>
                            Item Wise Report
                          </p>
                        </a>
                      </li>
                      <li class="nav-item">
                        <a href="{{route('kitchen.stock.report')}}" class="nav-link">
                          <i class="fas fa-file nav-icon"></i>
                          <p>
                            Stock Report
                          </p>
                        </a>
                      </li>
                    </ul>
                </li>
              <li class="nav-item">
                <a href="#" class="nav-link">
                  <i class="fas fa-book nav-icon"></i>
                  <p>
                    Logins
                    <i class="fas fa-angle-left right"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                  <li class="nav-item">
                    <a href="{{route('logins.create')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Add</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="{{route('logins.index')}}" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>View</p>
                    </a>
                  </li>                
                </ul>
            </li>
            @endif
            @endif
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>