@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Item Wise Issue</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <form >
                @csrf
                <div class="row">
                  <div class="form-group  col-md-2">
                    <label>From </label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="from"  >
                    </div>
                  </div>
                  <div class="form-group col-md-2">
                    <label>To</label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="to" >
                    </div>
                  </div>
                  <div class="form-group col-md-2">
                    <label>Counter</label>
                    <div class="input-group">                   
                      <select  class="form-control" name="counter_id" >
                        <option value="" hidden></option>
                        @foreach($counters as $counter)
                        <option value="{{$counter->cntr_id}}">{{$counter->counter_name}}</option>
                        @endforeach
                      </select>
                    </div>
                  </div>
                  
                  <div class="col" style="padding-top:30px;">
                    <button type="submit" class="btn btn-primary">Submit</button>
                  </div>
                </div>
              </form>
                <table id="example1" class="table table-bordered table-striped">
                    <thead>
                      <tr>
                          <th></th>
                        <th scope="col">Issued To</th>
                        <th scope="col">Item Description</th>
                        <th>Unit</th>
                        <th scope="col"> Qty</th>
                        <th scope="col">Rate</th>
                        <th scope="col">Amount</th>
                      </tr>
                    </thead>
                    <tbody>
                        <?php $cnt  = 0;?>
                        @foreach($main_array as $array)
                        <tr class="odd">
                            <td>{{++$cnt}}</td>
                            <td>{{$array[0]}}</td>
                           
                             <td>{{$array[1]}}</td>
                            <td>{{$array[2]}}</td>
                            <td>{{$array[3]}}</td>
                            <td>{{$array[4]}}</td>
                            <td>{{$array[5]}}</td>
                        </tr>
                        @endforeach
                    </tfoot>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection