@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Purchase Details</h1>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
    <div class="row">
        <div class="col-12">
        <div class="card">
            <div class="card-header">
            <h3 class="card-title">Purchase Details</h3>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
           

            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th scope="col">Sl No</th>
                    <th scope="col">Item</th>
                    <th scope="col">Unit</th>
                    <th scope="col">M</th>
                    <th scope="col">Qty</th>
                    <th scope="col">Rate</th>
                    <!--<th scope="col">Case Rate</th>-->
                    <th scope="col">Amount</th>
                    <!--<th scope="col">Cust. Duty</th>-->
                    <th scope="col">Tax</th>
                    <th scope="col">Net Amount</th>
                  </tr>
                </thead>
                <tbody>
                  @php($i=1)
                  @foreach($items as $item)
                  
                  <tr class="odd">
                    <th scope="row">{{$i++}}</th>
                    <td>{{$item->name}}</td>
                    <td>{{$item->u_name}}</td>
                    <td>@if($item->measurement == 0)
                        Case
                        @else
                        Nos
                        @endif
                    </td>
                    <td>{{$item->quantity}}</td>
                    <td>{{$item->rate}}</td>
                    <!--<td>{{$item->case_rate}}</td>-->
                    <td>{{$item->pur_amount}}</td>
                    <!--<td>{{$item->custom_duty}}</td>-->
                    <td>{{$item->pur_tax}}</td>
                    <td>{{$item->net_amount}}</td>
                  </tr>
                  
                  @endforeach
                  
                </tfoot>
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection