@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Item Wise Issue</h1>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
    
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <form >
                @csrf
                <div class="row">
                   <div class="form-group col-md-3">
                    <label for="exampleInputEmail1">From</label>
                    <input type="date" class="form-control" name="from"  >
                  </div> 
                  
                  <div class="form-group col-md-3">
                    <label for="exampleInputEmail1">To</label>
                    <input type="date" class="form-control" name="to"  >
                  </div> 
                  
                  <div class="col" style="padding-top:30px;">
                    <button type="submit" class="btn btn-primary">Submit</button>
                  </div>
                </div>
              </form>
            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th scope="col">Sl No</th>
                    <th scope="col">Counter</th>
                    <th scope="col">Date</th>
                    <th scope="col">Issue No</th>
                    <th scope="col">Item</th>
                    <th scope="col">Unit</th>
                    <th scope="col">Qty</th>
                    <th scope="col">Rate</th>
                    <th scope="col">Amount</th>
                  </tr>
                </thead>
                <tbody>
                  @php($cnt=1)
                 
                    @foreach($reports as $report)
                    <tr>
                        <td>{{$cnt++}}</td>
                        <td>{{$report['counter']}}</td>
                        <td>{{$report['date']}}</td>
                        <td>{{$report['issue_no']}}</td>
                        <td>{{$report['item']}}</td>
                        <td>{{$report['unit']}}</td>
                       <td>{{$report['qty']}}</td>
                        <td>{{$report['rate']}}</td>
                       <td>{{$report['amount']}}</td>
                    </tr>
                    @endforeach
                </tfoot>
                
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection