@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Manual Stock Report</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <form>
                    @csrf
                      <div class="row">
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">From</label>
                            <input type="date" class="form-control" name="from" >
                          </div> 
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">To</label>
                            <input type="date" class="form-control" name="to" >
                          </div> 
                          
                         <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">Counter</label>
                            <select class="form-control select2" name="counter_id[]" multiple>
                                <option value="" hidden></option>
                                @foreach($counters as $counter)
                                <option value="{{$counter->cntr_id}}">{{$counter->counter_name}}</option>
                                @endforeach
                            </select>
                          </div>
                          
                          
                          <div class="form-group col-md-2 py-2">
                              <br>
                              <button type="submit" id='reload' class="btn btn-primary">Submit</button>
                          </div>
                      </div>
                  </form>
         
            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th scope="col">Sl No</th>
                    <th scope="col">Category</th>
                    <th scope="col">Item Name</th>
                    <th scope="col">Unit</th>
                    <th scope="col">Op Stock in bottle</th>
                    <th scope="col">Op Stock in peg</th>
                    <th scope="col">Receipts</th>
                    <th scope="col">Cl Stock in bottle</th>
                    <th scope="col">Cl Stock in peg</th>
                  </tr>
                </thead>
                <tbody>
                    @php($cnt=1)
                    @for($i = 0 ; $i < count($last_supplier_array) ; $i++)
                    @for($j = 0 ; $j < count($last_supplier_array[$i]) ; $j++)
                    <tr>
                        <td>{{$cnt++}}</td>
                        <td>{{$last_supplier_array[$i][$j][0]}}</td>
                        <td>{{$last_supplier_array[$i][$j][1]}}</td>
                        <td>{{$last_supplier_array[$i][$j][2]}}</td>
                        <td>{{$last_supplier_array[$i][$j][3]}}</td>
                       <td>{{$last_supplier_array[$i][$j][4]}}</td>
                       <td>{{$last_supplier_array[$i][$j][5]}}</td>
                        <td></td>
                        <td></td>
                    </tr>
                    @endfor
                    @endfor
                    
                </tfoot>
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection