@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1> Purchase Report</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <form>
                    @csrf
                      <div class="row">
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">From</label>
                            <input type="date" class="form-control" name="from" >
                          </div> 
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">To</label>
                            <input type="date" class="form-control" name="to" >
                          </div> 
                          
                          <div class="form-group col-md-2 py-2">
                              <br>
                              <button type="submit" id='reload' class="btn btn-primary">Submit</button>
                          </div>
                      </div>
                  </form>
         
            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th scope="col">Date</th>
                    <th scope="col">Purchase No</th>
                    <th scope="col">Invoice No</th>
                    <th scope="col">Invoice Date</th>
                    <th scope="col">Supplier Name</th>
                    <th scope="col">Credit</th>
                    <th scope="col">Cash</th>
                    <th scope="col">Others</th>
                  </tr>
                </thead>
                <tbody>
                    @foreach($reports as $report)
                    <tr>
                        <td>{{$report['date']}}</td>
                        <td>{{$report['purchase_no']}}</td>
                        <td>{{$report['invoice_no']}}</td>
                        <td>{{$report['invoice_date']}}</td>
                        <td>{{$report['vendor']}}</td>
                        <td>{{$report['credit']}}</td>
                        <td>{{$report['cash']}}</td>
                        <td>{{$report['other']}}</td>
                    </tr>
                    @endforeach
                    <tr>
                        <td><b>Total : </b></td>
                        <td><b></b></td>
                        <td><b></b></td>
                        <td><b></b></td>
                        <td><b></b></td>
                        <td><b>{{$credit_total}}</b></td>
                        <td><b>{{$cash_total}}</b></td>
                        <td><b>{{$other_total}}</b></td>
                    </tr>
                </tfoot>
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection