@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Sale Summary</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <form>
                    @csrf
                      <div class="row">
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">From</label>
                            <input type="date" class="form-control" name="from" >
                          </div> 
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">To</label>
                            <input type="date" class="form-control" name="to" >
                          </div> 
                          
                         <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">Counter</label>
                            <select class="form-control select2" name="counter_id[]" multiple="">
                                <option value="" hidden></option>
                                @foreach($counters as $counter)
                                <option value="{{$counter->cntr_id}}">{{$counter->counter_name}}</option>
                                @endforeach
                            </select>
                          </div>
                          
                          <div class="form-group col-md-2 py-2">
                              <br>
                              <button type="submit" id='reload' class="btn btn-primary">Submit</button>
                          </div>
                      </div>
                  </form>
         
            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th scope="col">Bill No</th>
                    <th scope="col">Liquor</th>
                    <th scope="col">Beer</th>
                    <th scope="col">Wine</th>
                    <th scope="col">Food Items</th>
                    <th scope="col">Other Items</th>
                    <th scope="col">Total</th>
                  </tr>
                </thead>
                <tbody>
                   
                   @foreach($reports as $report)
                   <tr>
                       <td>{{$report['bill_no']}}</td>
                       <td>{{$report['liquor']}}</td>
                       <td>{{$report['beer']}}</td>
                       <td>{{$report['wine']}}</td>
                       <td>{{$report['food']}}</td>
                       <td>{{$report['other']}}</td>
                       <td>{{$report['total']}}</td>
                   </tr>
                   @endforeach
                   <tr>
                       <td><b>Total : </b></td>
                       <td><b>{{$liquor_total}}</b></td>
                       <td><b>{{$beer_total}}</b></td>
                       <td><b>{{$wine_total}}</b></td>
                       <td><b>{{$food_total}}</b></td>
                       <td><b>{{$other_total}}</b></td>
                       <td><b>{{$grand_total}}</b></td>
                   </tr>
                </tfoot>
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection