 @extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Store Report</h1>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
    <div class="row">
        <div class="col-12">
        <div class="card">
            
            <!-- /.card-header -->
            <div class="card-body">
            <form>
                    @csrf
                      <div class="row">
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">From</label>
                            <input type="date" class="form-control" name="from" >
                          </div> 
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">To</label>
                            <input type="date" class="form-control" name="to" >
                          </div> 
                          
                         
                          <div class="form-group col-md-2 py-2">
                              <br>
                              <button type="submit" id='reload' class="btn btn-primary">Submit</button>
                          </div>
                      </div>
                  </form>
            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                      <th>#</th>
                    <th scope="col">Item Head</th>
                    <th scope="col">Item Name</th>
                    <th scope="col">Unit</th>
                    <th scope="col">Op.Totals Bottle</th>
                    <th scope="col">Op.Stk Case</th>
                    <th scope="col">Op.Stk Bottle</th>
                    <th scope="col">Pur.Total Bottle</th>
                    <th scope="col">Pur.Stk Case</th>
                    <th scope="col">Pur.Stk Bottle</th>
                    <th scope="col">Iss.Total Bottle</th>
                    <th scope="col">Iss.Stk Case</th>
                    <th scope="col">Iss.Stk Bottles</th>
                    <th scope="col">Cls.Total Bottles</th>
                    <th scope="col">Cl.Stk Case</th>
                    <th scope="col">Cl.Stk Bottle </th>
                  </tr>
                </thead>
                <tbody>
                     @if(count($items) > 0 )
                  @php($k=1)
                    @for($i= 0 ; $i< count($items) ; $i++)
                       @for($j = 0 ; $j < count($items[$i]) ; $j++)
                    <tr>
                        <td>{{$k}}</td>
                        <td><b>{{$items[$i][$j][0]}}</b></td>
                        <td>{{$items[$i][$j][1]}}</td>
                        <td>{{$items[$i][$j][2]}}</td>
                       <td>{{$items[$i][$j][3]}}</td>
                        <td>{{$items[$i][$j][4]}}</td>
                        <td>{{$items[$i][$j][5]}}</td>
                       <td>{{$items[$i][$j][6]}}</td>
                        <td>{{$items[$i][$j][7]}}</td>
                        <td>{{$items[$i][$j][8]}}</td>
                        <td>{{$items[$i][$j][9]}}</td>
                        <td>{{$items[$i][$j][10]}}</td>
                         <td>{{$items[$i][$j][11]}}</td>
                          <td>{{$items[$i][$j][12]}}</td>
                           <td>{{$items[$i][$j][13]}}</td>
                            <td>{{$items[$i][$j][14]}}</td>
                        
                    </tr>
                    @php($k++)
                        @endfor
                      @endfor
                  @endif
                  
                </tfoot>
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection