@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Verified Stock</h1>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
    
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <form >
                @csrf
                <div class="row">
                    <div class="form-group col-md-3">
                    <label for="exampleInputEmail1">Date</label>
                    <input type="date" class="form-control" name="date"  >
                  </div> 
                  <div class="form-group col-md-3">
                    <label for="exampleInputEmail1">Counter</label>
                    <select  class="form-control" name="counter_id" >
                        <option value="" hidden></option>
                        @foreach($counters as $counter)
                        <option value="{{$counter->cntr_id}}">{{$counter->counter_name}}</option>
                        @endforeach
                    </select>
                  </div> 
                  <div class="col" style="padding-top:30px;">
                    <button type="submit" class="btn btn-primary">Submit</button>
                  </div>
                </div>
              </form>
            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th scope="col">Sl No</th>
                    <th scope="col">Head</th>
                    <th scope="col">Item</th>
                    <th scope="col">Unit</th>
                    <th scope="col">Bottles</th>
                    <th scope="col">pegs</th>
                  </tr>
                </thead>
                <tbody>
                  @php($cnt=1)
                  @for($i = 0 ; $i < count($last_array) ; $i++)
                    @for($j = 0 ; $j < count($last_array[$i]) ; $j++)
                    <tr>
                        <td>{{$cnt++}}</td>
                        <td>{{$last_array[$i][$j][0]}}</td>
                        <td>{{$last_array[$i][$j][1]}}</td>
                        <td>{{$last_array[$i][$j][2]}}</td>
                        <td>{{$last_array[$i][$j][3]}}</td>
                       <td>{{$last_array[$i][$j][4]}}</td>
                    </tr>
                    @endfor
                    @endfor
                </tfoot>
                
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection