<aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="#" class="brand-link">
      <img src="<?php echo e(asset('dist/img/AdminLTELogo.png')); ?>" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light"><?php echo e(config('app.name', 'Laravel')); ?></span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user panel (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="<?php echo e(asset('dist/img/user2-160x160.jpg')); ?>" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block"> <?php echo e(Auth::user()->name); ?></a>
        </div>
      </div>

      <!-- SidebarSearch Form -->
     

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <?php if(Auth::user()->role == 2): ?>
          <li class="nav-item">
               <a class="nav-link" href="<?php echo e(route('kitchen.index')); ?>">
                  <i class="fa fa-book nav-icon"></i>
                  <p>View Orders</p>
                </a>
            </li>
          <?php else: ?>
              
            <?php if(Auth::user()->role != 0): ?>
            <li class="nav-item">
               <a class="nav-link" href="<?php echo e(route('home')); ?>">
                  <i class="fa fa-tachometer nav-icon"></i>
                  <p>Dashboard</p>
                </a>
            </li>  
            <li class="nav-item">
                <a href="#" class="nav-link">
                <i class="nav-icon fas fa-list-ul"></i>
                  <p>
                    Manage
                    <i class="right fas fa-angle-left"></i>
                  </p>
                </a>

                
                <ul class="nav nav-treeview">
                    <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Counter
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="<?php echo e(route('counters.create')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="<?php echo e(route('counters.index')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                    </li>
                    <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Supplier
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="<?php echo e(route('suppliers.create')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="<?php echo e(route('suppliers.index')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                    <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Tables
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="<?php echo e(route('tables.create')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="<?php echo e(route('tables.index')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                    <li class="nav-item">
                        <a href="#" class="nav-link">
                        <i class="fa fa-book nav-icon"></i>
                          <p>
                            Item Heads
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="<?php echo e(route('item-heads.create')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="<?php echo e(route('item-heads.index')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                      
                      <li class="nav-item">
                        <a href="#" class="nav-link">
                        <i class="fa fa-book nav-icon"></i>
                          <p>
                            Item Category
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="<?php echo e(route('item_category.create')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="<?php echo e(route('item_category.index')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                      <li class="nav-item">
                        <a href="#" class="nav-link">
                        <i class="fa fa-book nav-icon"></i>
                          <p>
                            Items
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="<?php echo e(route('items.create')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="<?php echo e(route('items.index')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                      
                      <li class="nav-item">
                        <a href="#" class="nav-link">
                        <i class="fa fa-book nav-icon"></i>
                          <p>
                             Prices
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="<?php echo e(route('item_prices.create')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="<?php echo e(route('item_prices.index')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                      <li class="nav-item">
                        <a href="#" class="nav-link">
                        <i class="fa fa-book nav-icon"></i>
                          <p>
                            Item Cases
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="<?php echo e(route('item_cases.create')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="<?php echo e(route('item_cases.index')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                      
                      
                      <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Units
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="<?php echo e(route('units.create')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="<?php echo e(route('units.index')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                     </li>
                     <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Vendors
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="<?php echo e(route('vendors.create')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="<?php echo e(route('vendors.index')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                     </li>
                     <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Banks
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="<?php echo e(route('banks.create')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="<?php echo e(route('banks.index')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                    </li>
                    <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Account Categories
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="<?php echo e(route('account_categories.create')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="<?php echo e(route('account_categories.index')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                    <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Account Heads
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="<?php echo e(route('account_heads.create')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="<?php echo e(route('account_heads.index')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                    </li>
                </ul>
            </li>
            <li class="nav-item">
                <a href="#" class="nav-link">
                  <i class="fas fa-book nav-icon"></i>
                  <p>
                    Issue
                    <i class="fas fa-angle-left right"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                  <li class="nav-item">
                    <a href="<?php echo e(route('issue.create')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Add</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="<?php echo e(route('issue.index')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Issue Items</p>
                    </a>
                  </li>  
                  <li class="nav-item">
                    <a href="<?php echo e(route('transfer.report')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Transfer Items</p>
                    </a>
                  </li>  
                </ul>
              </li>
            <?php endif; ?>
            <li class="nav-item">
                <a href="#" class="nav-link">
                  <i class="fas fa-book nav-icon"></i>
                  <p>
                    Sales
                    <i class="fas fa-angle-left right"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                  <li class="nav-item">
                    <a href="<?php echo e(route('sales.create')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Add</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="<?php echo e(route('sales.index')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>View Kot</p>
                    </a>
                  </li> 
                  <li class="nav-item">
                    <a href="<?php echo e(route('bills.index')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>View Bot</p>
                    </a>
                  </li> 
                  <li class="nav-item">
                    <a href="<?php echo e(route('view.canceled.kot')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Canceled Kot/Bot</p>
                    </a>
                  </li> 
                  <li class="nav-item">
                    <a href="<?php echo e(route('sales.view')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>View Sales</p>
                    </a>
                  </li> 
                </ul>
              </li>
              
              <?php if(Auth::user()->role != 0): ?>
              <li class="nav-item">
                <a href="#" class="nav-link">
                  <i class="fas fa-book nav-icon"></i>
                  <p>
                    Purchases
                    <i class="fas fa-angle-left right"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                  <li class="nav-item">
                    <a href="<?php echo e(route('purchases.create')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Add</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="<?php echo e(route('purchases.index')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>View</p>
                    </a>
                  </li>                
                </ul>
              </li>
                
              <li class="nav-item">
                <a href="#" class="nav-link">
                  <i class="fas fa-book nav-icon"></i>
                  <p>
                    Stock Verification
                    <i class="fas fa-angle-left right"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                  <li class="nav-item">
                    <a href="<?php echo e(route('verify_stock.create')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Add</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="<?php echo e(route('verify_stock.index')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>View</p>
                    </a>
                  </li>                
                </ul>
              </li>
              <li class="nav-item">
                <a href="#" class="nav-link">
                  <i class="fas fa-book nav-icon"></i>
                  <p>
                    Stock Balance
                    <i class="fas fa-angle-left right"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                  <li class="nav-item">
                    <a href="<?php echo e(route('stock_balance.create')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Add</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="<?php echo e(route('stock_balance.index')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>View</p>
                    </a>
                  </li>                
                </ul>
              </li>
              <li class="nav-item">
                <a href="#" class="nav-link">
                  <i class="fas fa-book nav-icon"></i>
                  <p>
                    Reports
                    <i class="fas fa-angle-left right"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                  <li class="nav-item">
                    <a href="<?php echo e(route('stock.report')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p> Stock Report</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="<?php echo e(route('counter_stock_report.index')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p> Counter Stock Report</p>
                    </a>
                  </li>  
                  <li class="nav-item">
                    <a href="<?php echo e(route('supplier_wise_sale_report.index')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Supplier Wise Sale  </p>
                    </a>
                  </li> 
                  
                  
                  <li class="nav-item">
                    <a href="<?php echo e(route('item_wise_sale_purchase.index')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Item Wise Sale Purchase</p>
                    </a>
                    
                  </li> 
                  <li class="nav-item">
                    <a href="<?php echo e(route('manual_stock_form.index')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Manual Stock Form</p>
                    </a>
                  </li> 
                  <li class="nav-item">
                    <a href="<?php echo e(route('item_wise_sale_register.index')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Item Wise Sale Register</p>
                    </a>
                  </li> 
                  <li class="nav-item">
                    <a href="<?php echo e(route('sale_summary.index')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Sale Summary</p>
                    </a>
                  </li> 
                  
                  <li class="nav-item">
                    <a href="<?php echo e(route('purchase_report.index')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Purchase Report</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="<?php echo e(route('sale_purchase_report.index')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Sale Purchase Report </p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="<?php echo e(route('counter_wise_sale_report.index')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Consolidated Sales</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="<?php echo e(route('exercise_report.index')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Exercise Report </p>
                    </a>
                  </li>
                  
                </ul>
              </li>
              <li class="nav-item">
                <a href="#" class="nav-link">
                <i class="nav-icon fas fa-book"></i>
                  <p>
                    Accounts
                    <i class="right fas fa-angle-left"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                     <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Account Transactions
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="<?php echo e(route('account_transactions.create')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="<?php echo e(route('account_transactions.index')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                      <li class="nav-item">
                        <a href="<?php echo e(route('transaction.report')); ?>" class="nav-link">
                          <i class="fas fa-file nav-icon"></i>
                          <p>
                            Transactions Report
                          </p>
                        </a>
                      </li>
                      <li class="nav-item">
                        <a href="<?php echo e(route('banks.report')); ?>" class="nav-link">
                          <i class="fas fa-file nav-icon"></i>
                          <p>
                            Bank Report
                          </p>
                        </a>
                      </li>
                    </ul>
                </li>    
                <li class="nav-item">
                <a href="#" class="nav-link">
                <i class="nav-icon fas fa-book"></i>
                  <p>
                    Store
                    <i class="right fas fa-angle-left"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                     <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Store Items
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="<?php echo e(route('kitchen_items.create')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="<?php echo e(route('kitchen_items.index')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                      <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Store Purchase
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="<?php echo e(route('kitchen_purchases.create')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="<?php echo e(route('kitchen_purchases.index')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                      <li class="nav-item">
                        <a href="#" class="nav-link">
                          <i class="fa fa-book nav-icon"></i>
                          <p>
                            Store Issue
                            <i class="fas fa-angle-left right"></i>
                          </p>
                        </a>
                        <ul class="nav nav-treeview">
                          <li class="nav-item">
                            <a href="<?php echo e(route('kitchen_issues.create')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>Add</p>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a href="<?php echo e(route('kitchen_issues.index')); ?>" class="nav-link">
                              <i class="far fa-circle nav-icon"></i>
                              <p>View</p>
                            </a>
                          </li>                
                        </ul>
                      </li>
                      <li class="nav-item">
                        <a href="<?php echo e(route('item.wise.report')); ?>" class="nav-link">
                          <i class="fas fa-file nav-icon"></i>
                          <p>
                            Item Wise Report
                          </p>
                        </a>
                      </li>
                      <li class="nav-item">
                        <a href="<?php echo e(route('kitchen.stock.report')); ?>" class="nav-link">
                          <i class="fas fa-file nav-icon"></i>
                          <p>
                            Stock Report
                          </p>
                        </a>
                      </li>
                    </ul>
                </li>
              <li class="nav-item">
                <a href="#" class="nav-link">
                  <i class="fas fa-book nav-icon"></i>
                  <p>
                    Logins
                    <i class="fas fa-angle-left right"></i>
                  </p>
                </a>
                <ul class="nav nav-treeview">
                  <li class="nav-item">
                    <a href="<?php echo e(route('logins.create')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>Add</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="<?php echo e(route('logins.index')); ?>" class="nav-link">
                      <i class="far fa-circle nav-icon"></i>
                      <p>View</p>
                    </a>
                  </li>                
                </ul>
            </li>
            <?php endif; ?>
            <?php endif; ?>
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside><?php /**PATH /home/thomsonscasa/public_html/Bar/resources/views/body/sidebar.blade.php ENDPATH**/ ?>