<?php $__env->startSection('content'); ?>

<div class="card card-primary">
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
      <div class="card-header">
        <h3 class="card-title">Items</h3>
      </div>
      
        <form action="<?php echo e(route('items.update',$item->item_id)); ?>" method="post" >
        <?php echo csrf_field(); ?>
        <?php echo method_field("PATCH"); ?>
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-6">
                <label for="exampleInputEmail1">Item Head</label>
                <select name="head" class="form-control"  required>
                    <option hidden value="<?php echo e($item->ih_id); ?>"><?php echo e($item->ih_name); ?></option>
                    <?php if(count($heads)>0): ?>
                        <?php $__currentLoopData = $heads; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $head): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($head->ih_id); ?>"><?php echo e($head->ih_name); ?></option>
                        
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                </select>
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Item Category</label>
                <select name="category_id" class="form-control"  required>
                    <option hidden value="<?php echo e($item->category_id); ?>"><?php echo e($item->category); ?></option>
                    <?php if(count($categories)>0): ?>
                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($cat->ic_id); ?>"><?php echo e($cat->category); ?></option>
                        
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                </select>
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Item Name</label>
                <input type="text" class="form-control" name="item_name" value="<?php echo e($item->name); ?>" placeholder="" required>
              </div>
                <div class="form-group col-md-3">
                    <label for="exampleInputEmail1">Item Code</label>
                    <input type="text" class="form-control" name="item_code" value="<?php echo e($item->code); ?>"  placeholder="" required>
                 </div>
                  <div class="form-group col-md-3">
                    <label for="exampleInputEmail1">Unit</label>
                    <select class="form-control" name="mls" > 
                        <option value="<?php echo e($item->id); ?>"><?php echo e($item->unit); ?></option>
                        <?php if(count($units)>0): ?>
                            <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($unit->id); ?>"><?php echo e($unit->unit); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                        
                    </select>
                  </div>
                  <div class="form-group col-md-3">
                    <label for="exampleInputEmail1">Tax </label>
                    <input type="text" class="form-control" name="taxs" value="<?php echo e($item->tax); ?>"  placeholder="" required>
                  </div>
                  <div class="form-group col-md-3">
                    <label for="exampleInputEmail1">HSN code</label>
                    <input type="text" class="form-control" name="hsncodes"  value="<?php echo e($item->hsncode); ?>" placeholder="" required>
                  </div>
                  <!-- <div class="form-group col-md-3">-->
                  <!--  <label for="exampleInputEmail1">Amount</label>-->
                  <!--  <input type="text" class="form-control" name="amount"  value="<?php echo e($item->amount); ?>" placeholder="" >-->
                  <!--</div>-->
     
          </div>
          
                   
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>

</div>

<script src=
"https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js">
</script>
<script src=
"https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js">
</script>


<script>
  $(document).ready(function () {

  // Denotes total number of rows
  var rowIdx = 0;

  // jQuery button click event to add a row
  $('#addBtn').on('click', function () {

    // Adding a row inside the tbody.
    $('#tbody').append(`<tr id="R${++rowIdx}">
      <td class="row-index text-center">
        <input type="text" class="form-control" name="item_name[]"  placeholder="" required>
      </td>
      <td class="row-index text-center">
        <input type="text" class="form-control" name="item_code[]"  placeholder="" required>
      </td>
      <td class="row-index text-center">
        <select class="form-control" name="mls[]" > 
            <option value=""></option>
            <?php if(count($units)>0): ?>
                <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($unit->id); ?>"><?php echo e($unit->unit); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
            
        </select>
      </td>
      <td class="row-index text-center">
        <input type="text" class="form-control" name="taxs[]"  placeholder="" required>
      </td>
      <td class="row-index text-center">
        <input type="text" class="form-control" name="hsncodes[]"  placeholder="" required>
      </td>
     
    
      <td class="text-center">
        <button class="btn btn-danger remove"
        type="button">-</button>
        </td>
      </tr>`);
  });

  // jQuery button click event to remove a row.
  $('#tbody').on('click', '.remove', function () {
    var child = $(this).closest('tr').nextAll();
  
    child.each(function () {
    var id = $(this).attr('id');
    var idx = $(this).children('p');
    var dig = parseInt(id.substring(1));
    idx.html(`Row ${dig - 1}`);
    $(this).attr('id', `R${dig - 1}`);
    });

    $(this).closest('tr').remove();

    rowIdx--;
  });
  });

  </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thevarholdings/public_html/Bar/resources/views/items/edit.blade.php ENDPATH**/ ?>