<?php $__env->startSection('content'); ?>

<div class="card card-primary">
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
      <div class="card-header">
        <h3 class="card-title">Store Item Purchases</h3>
      </div>
      
        
        <div class="card-body">
            <form action="<?php echo e(route('kitchen_purchases.update',$purchase->kp_id)); ?>" method="post" >
        <?php echo csrf_field(); ?>
        <?php echo method_field("PATCH"); ?>
          <div class="row">
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Purchase Date</label>
                <input type="date" class="form-control" name="purchase_date"  value="<?php echo e($purchase->purchase_date); ?>" placeholder="" required>
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Invoice No</label>
                <input type="text" class="form-control" name="invoice_no" value="<?php echo e($purchase->invoice_no); ?>"  placeholder="" required>
              </div> 
              
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Select Vendor</label>
                 <select class="form-control select2" name="vendor_id" required>
                     <option value="<?php echo e($purchase->v_id); ?>" hidden><?php echo e($purchase->name); ?></option>
                   <?php if(count($vendors) > 0 ): ?>
                    <?php $__currentLoopData = $vendors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vendor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($vendor->v_id); ?>"><?php echo e($vendor->name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                   <?php endif; ?>
                </select>
              </div> 
               <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Payment Type</label>
                <select class="form-control" name="payment_type_id" required>
                    <?php if($purchase->transaction_type == 1): ?>
                    <option value="1" hidden>Credit</option>
                    <?php else: ?>
                    <option value="2" hidden>Cash</option>
                    <?php endif; ?>
                    <option value="1">Credit</option>
                    <option value="2">Cash</option>
                </select>
              </div> 
              
              
               <div class="container col-md-12">
                  <div class="table-responsive">
                  <table class="table table-bordered">
                    <thead>
                    <tr>
                      <th class="col-2">Item</th>
                     <th class="col-2">Unit</th>
                      <th>Rate</th>
                      <th>Qty</th>
                      <th>Gross</th>
                       <th>Disc</th>
                       <th>Tax</th>
                       <th>Amount</th>
                    
                      
                    </tr>
                    </thead>
                    <tbody id="tbody">
                
                        <?php if(count($purchase_items) > 0 ): ?>
                         <?php $__currentLoopData = $purchase_items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $p_item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td class="row-index text-center">
                                    <select class="form-control" name="items[]" required>
                                        <?php if(count($items)>0): ?>
                                        <option value="<?php echo e($p_item->item_id); ?>"><?php echo e($p_item->item_name); ?></option>
                                            <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($item->ki_id); ?>"><?php echo e($item->item_name); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </select>
                                  </td>
                                  <td class="row-index text-center">
                                     <select class="form-control" name="units[]" required>
                                         <option value="<?php echo e($p_item->unit_id); ?>"><?php echo e($p_item->unit); ?></option>
                                        <?php if(count($items)>0): ?>
                                            <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($unit->id); ?>"><?php echo e($unit->unit); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </select>
                                  </td>
                                  <td class="row-index text-center">
                                     <input type="text" class="form-control" name="rate[]" value="<?php echo e($p_item->rate); ?>" placeholder="" required>
                                  </td>
                                   <td class="row-index text-center">
                                     <input type="text" class="form-control" name="qty[]" value="<?php echo e($p_item->qty); ?>" placeholder="" required>
                                  </td>
                                  
                                  <td class="row-index text-center">
                                     <input type="text" class="form-control" name="gross[]" value="<?php echo e($p_item->gross); ?>" placeholder="" required>
                                  </td>
                                  <td class="row-index text-center">
                                     <input type="text" class="form-control" name="disc[]" value="<?php echo e($p_item->disc); ?>" placeholder="" required>
                                  </td>
                                  <td class="row-index text-center">
                                     <input type="text" class="form-control" name="tax[]" value="<?php echo e($p_item->tax); ?>" placeholder="" required>
                                  </td>
                                  <td class="row-index text-center">
                                     <input type="text" class="form-control" value="<?php echo e($p_item->amount); ?>" name="amount[]"  placeholder="" required>
                                  </td>
     
                                
                                
                                
                            
                            </tr>
                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </tbody>
                  </table>
                  </div>
                  
                  
                  <br>
                  
                </div>
              
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Gross Amount</label>
                <input type="text" class="form-control" name="gross_amount"  value="<?php echo e($purchase->gross_amount); ?>"  placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Tax Amount</label>
                <input type="text" class="form-control" name="tax_amount"   value="<?php echo e($purchase->tax_amount); ?>"  placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Freight</label>
                <input type="text" class="form-control" name="freight"   value="<?php echo e($purchase->freight); ?>" placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Round Off</label>
                <input type="text" class="form-control" name="round_off"  value="<?php echo e($purchase->round_off); ?>"  placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Net Amount</label>
                <input type="text" class="form-control" name="net_amount"   value="<?php echo e($purchase->net_amount); ?>" placeholder="" required>
              </div>
               </div> 
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
              
              
              
              
             </form>
              
          </div> 
        <!-- /.card-body -->

       
    </div>
</div>



<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thomsonscasa/public_html/Bar/resources/views/kitchen_purchases/edit.blade.php ENDPATH**/ ?>