<?php $__env->startSection('content'); ?>
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Transactions</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <form >
                <?php echo csrf_field(); ?>
                <div class="row">
                  <div class="form-group  col-md-2">
                    <label>From </label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="from"  >
                    </div>
                  </div>
                  <div class="form-group col-md-2">
                    <label>To</label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="to" >
                    </div>
                  </div>
                  <div class="form-group col-md-2">
                    <label for="exampleInputEmail1">Type</label>
                    <select  class="form-control" name="type" >
                        <option value="" hidden></option>
                        <option value="1">Credit</option>
                        <option value="2">Debit</option>
                    </select>
                  </div>
                 <div class="form-group col-md-2">
                    <label for="exampleInputEmail1">Category</label>
                    <select  class="form-control select2bs4" name="category" onchange="funHead(this.value)" >
                        <option value="" hidden></option>
                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($category->ac_id); ?>" ><?php echo e($category->account_category); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                  </div>
                 <div class="form-group col-md-2">
                    <label for="exampleInputEmail1"> Head</label>
                    <select  class="form-control select2bs4" name="head_id"  >
                        <option value="" hidden></option>
                        <?php $__currentLoopData = $heads; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $head): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($head->ah_id); ?>"><?php echo e($head->head); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                  </div>
                  <!--<div class="form-group col-md-2">-->
                  <!--  <label for="exampleInputEmail1">Bank</label>-->
                  <!--  <select  class="form-control" name="bank_id"  >-->
                  <!--      <option value="" hidden></option>-->
                  <!--      <?php $__currentLoopData = $banks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bank): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>-->
                  <!--      <option value="<?php echo e($bank->b_id); ?>"><?php echo e($bank->bank_name); ?></option>-->
                  <!--      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>-->
                  <!--  </select>-->
                  <!--</div>-->
                  <div class="col" style="padding-top:30px;">
                    <button type="submit" class="btn btn-primary">Submit</button>
                  </div>
                </div>
              </form>
                <table id="example1" class="table table-bordered table-striped">
                    <thead>
                      <tr>
                        <th scope="col">Sl No</th>
                        <th scope="col">Date</th>
                       
                        <th scope="col">Head</th> 
                        <th scope="col">Remarks</th>
                        <th scope="col">Amount</th>
                        <th scope="col">Type</th>
                        <th scope="col">Payment Method</th>
                        <th scope="col">Bank</th>
                       
                        <th scope="col">#</th>
                      </tr>
                    </thead>
                    <tbody>
                      <?php ($i=1); ?>
                      <?php $__currentLoopData = $transactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transactions): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                      
                      <tr class="odd">
                        <th scope="row"><?php echo e($i++); ?></th>
                        <td><?php echo e(date('d-m-Y',strtotime($transactions->date))); ?></td>
                       
                        <td><?php echo e($transactions->head); ?></td>
                         <td><?php echo e($transactions->remarks); ?></td>
                        <td><?php echo e($transactions->amount); ?></td>
                        <td><?php if($transactions->type == 1): ?>
                            Credit
                            <?php else: ?>
                            Debit
                            <?php endif; ?>
                        </td>
                        <td><?php echo e($transactions->method); ?></td>
                        <td><?php echo e($transactions->bank_name); ?></td>
                       
                        <td>
                             <a href="<?php echo e(route('account_transactions.edit',$transactions->at_id)); ?>" class="btn " ><i class="fa fa-pencil"></i></a>
                        </td>
                       
                      </tr>
                      
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      <tr class="odd">
                        <th scope="row"><?php echo e($i++); ?></th>
                        <td><b>Total</b></td>
                        <td></td>
                        <td></td>
                        <td><?php echo e($total); ?></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                      </tr>
                    </tfoot>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thomsonscasa/public_html/Bar/resources/views/account_transactions/index.blade.php ENDPATH**/ ?>