<?php $__env->startSection('content'); ?>
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Transaction Report</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <form >
                <?php echo csrf_field(); ?>
                <div class="row">
                  <div class="form-group  col-md-2">
                    <label>From </label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="from"  >
                    </div>
                  </div>
                  <div class="form-group col-md-2">
                    <label>To</label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="to" >
                    </div>
                  </div>
                  
                  <div class="col" style="padding-top:30px;">
                    <button type="submit" class="btn btn-primary">Submit</button>
                  </div>
                </div>
              </form>
                <table id="example1" class="table table-bordered table-striped">
                    <thead>
                      <tr>
                        <th scope="col">Sl No</th>
                        <!--<th scope="col">Category</th>-->
                        <th scope="col">Head</th>
                        <th scope="col">Credit</th>
                        <th scope="col">Debit</th>
                      </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <th scope="row">1</th>
                            <td><b>Opening Balance</b></td>
                            <td><b><?php echo e($opening_balance); ?></b></td>
                            <td></td>
                        </tr>
                        <?php $credTotal = 0; $debTotal = 0; ?>
                      <?php ($i=2); ?>
                      <?php $__currentLoopData = $array_debit; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $report): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                      
                      <tr class="odd">
                        <th scope="row"><?php echo e($i++); ?></th>
                        <!--<td><?php echo e($report['category']); ?></td>-->
                        <td><?php echo e($report['head']); ?></td>
                        <td><?php echo e($report['credit']); ?></td>
                        <td><?php echo e($report['debit']); ?></td>
                       
                      </tr>
                      <?php $debTotal += $report['debit'];
                        ?>
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      <?php $__currentLoopData = $array_credit; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $report): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                      
                      <tr class="odd">
                        <th scope="row"><?php echo e($i++); ?></th>
                        <!--<td><?php echo e($report['category']); ?></td>-->
                        <td><?php echo e($report['head']); ?></td>
                        <td><?php echo e($report['credit']); ?></td>
                        <td><?php echo e($report['debit']); ?></td>
                       
                      </tr>
                      <?php $credTotal += $report['credit'];
                        ?>
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                       <tr>
                          <th scope="row"><?php echo e($i); ?></td>
                          <td><b>Total</b></td>
                          <td><b><?php echo e($credTotal + $opening_balance); ?></b></td>
                          <td><b><?php echo e($debTotal); ?></b></td>
                      </tr>
                      <tr>
                            <th scope="row"><?php echo e($i+1); ?></th>
                            <td><b>Closing Balance</b></td>
                            <td><b><?php echo e($closing_balance); ?></b></td>
                            <td></td>
                        </tr>
                    </tfoot>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thomsonscasa/public_html/Bar/resources/views/account_transactions/report.blade.php ENDPATH**/ ?>