<?php $__env->startSection('content'); ?>
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Counter Stock Report</h1>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
    <div class="row">
        <div class="col-12">
        <div class="card">
            
            <!-- /.card-header -->
            <div class="card-body">
                <form>
                    <?php echo csrf_field(); ?>
                      <div class="row">
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">From</label>
                            <input type="date" class="form-control" name="from" >
                          </div> 
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">To</label>
                            <input type="date" class="form-control" name="to" >
                          </div> 
                          
                          
                         
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">Counter</label>
                            <select class="form-control select2" name="counter_id[]" multiple>
                                <option value="" hidden>-- select counter --</option>
                                <?php $__currentLoopData = $counters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $counter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($counter->cntr_id); ?>"><?php echo e($counter->counter_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                          </div>
                          
                          
                          <div class="form-group col-md-2 py-2">
                              <br>
                              <button type="submit" id='reload' class="btn btn-primary">Submit</button>
                          </div>
                      </div>
                  </form>
         
            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                      <th>#</th>
                    <th scope="col">Category</th>
                    <th scope="col-6">Item Name</th>
                    <th>Unit</th>
                    <th scope="col">Op.Stock in Bottle</th>
                    <th scope="col">Op.Stock in Peg</th>
                    <th scope="col">Issue in Bottle</th>
                    <th scope="col">Issue in Peg</th>
                    <th scope="col">Sale in Bottle</th>
                    <th scope="col">Sale in Peg</th>
                    <th>Closing Stock in Bottle</th>
                    <th>Closing Stock in Peg</th>
                  </tr>
                </thead>
                <tbody>
                  <?php if(count($items) > 0 ): ?>
                  <?php ($k=1); ?>
                    <?php for($i= 0 ; $i< count($items) ; $i++): ?>
                       <?php for($j = 0 ; $j < count($items[$i]) ; $j++): ?>
                    <tr>
                        <td><?php echo e($k); ?></td>
                        <td><b><?php echo e($items[$i][$j][0]); ?></b></td>
                        <td><?php echo e($items[$i][$j][1]); ?></td>
                        <td><?php echo e($items[$i][$j][2]); ?></td>
                       <td><?php echo e($items[$i][$j][3]); ?></td>
                        <td><?php echo e($items[$i][$j][4]); ?></td>
                        <td><?php echo e($items[$i][$j][5]); ?></td>
                       <td><?php echo e($items[$i][$j][6]); ?></td>
                        <td><?php echo e($items[$i][$j][7]); ?></td>
                        <td><?php echo e($items[$i][$j][8]); ?></td>
                        <td><?php echo e($items[$i][$j][9]); ?></td>
                        <td><?php echo e($items[$i][$j][10]); ?></td>
                       
                        
                        
                    </tr>
                    <?php ($k++); ?>
                        <?php endfor; ?>
                      <?php endfor; ?>
                  <?php endif; ?>
                  
                </tfoot>
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thevarholdings/public_html/Bar/resources/views/reports/counter_stock_report.blade.php ENDPATH**/ ?>