<?php $__env->startSection('content'); ?>

<div class="card card-primary">
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
      <div class="card-header">
        <h3 class="card-title">Item Cases</h3>
      </div>
      
        <form action="<?php echo e(route('item_cases.store')); ?>" method="post" >
        <?php echo csrf_field(); ?>
        <div class="card-body">
          <div class="row">
               
               <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Select Items</label>
                <select name="item[]" class="form-control select2"  required>
                    <option hidden value=""></option>
                    <?php if(count($items)>0): ?>
                        <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($item->item_id); ?>"><?php echo e($item->name); ?></option>
                        
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                </select>
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Units</label>
                <select name="unit[]" class="form-control"  required onchange="funUnit(this.value,1)">
                    <option hidden value="">-- Select Unit --</option>
                    <?php if(count($units)>0): ?>
                        <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($unit->u_id); ?>"><?php echo e($unit->u_name); ?></option>
                        
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                </select>
               
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Case Count</label>
                 <input type="text" class="form-control" name="case_count[]" id="case_count1"  placeholder="" required>
            </div>
            <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Case Amount</label>
                 <input type="text" class="form-control" name="case_amount[]"  required>
            </div>
              
          </div>
           <div class="container col-md-12">
                  <div class="table-responsive">
                  <table class="table table-bordered">
                    <thead>
                    <tr>
                        <th>Item</th>
                      <th >Unit</th>
                     <th>Case Count</th>
                    <th>Case Amount</th>
                      <th >#</th>
                    </tr>
                    </thead>
                    <tbody id="tbody">
                
                    </tbody>
                  </table>
                  </div>
                  <button class="btn btn-md btn-success"
                  id="addBtn" type="button">
                    +
                  </button>
                  
                  <br>
                  
                </div>
          
          
          
                   
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>

</div>

          <script src=
"https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js">
</script>
<script src=
"https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js">
</script>


<script>
  $(document).ready(function () {

  // Denotes total number of rows
  var rowIdx = 1;

  // jQuery button click event to add a row
  $('#addBtn').on('click', function () {

    // Adding a row inside the tbody.
    $('#tbody').append(`<tr id="R${++rowIdx}">
      <td class="row-index text-center">
         <select name="item[]" class="form-control select2"  required>
                    <option hidden value=""></option>
                    <?php if(count($items)>0): ?>
                        <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($item->item_id); ?>"><?php echo e($item->name); ?></option>
                        
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                </select>
      </td>
      <td class="row-index text-center">
        <select name="unit[]" class="form-control"  required onchange="funUnit(this.value,`+rowIdx+`)">
                    <option hidden value="">-- Select Unit --</option>
                    <?php if(count($units)>0): ?>
                        <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($unit->u_id); ?>"><?php echo e($unit->u_name); ?></option>
                        
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                </select>
      </td>
      <td>
       <input type="text" class="form-control" name="case_count[]" id="case_count`+rowIdx+`"  placeholder="" required>
      </td>
      <td>
       <input type="text" class="form-control" name="case_amount[]"  required>
      </td>
     
     
    
      <td class="text-center">
        <button class="btn btn-danger remove"
        type="button">-</button>
        </td>
      </tr>`);
      $('.select2').select2();
  });

  // jQuery button click event to remove a row.
  $('#tbody').on('click', '.remove', function () {
    var child = $(this).closest('tr').nextAll();
  
    child.each(function () {
    var id = $(this).attr('id');
    var idx = $(this).children('p');
    var dig = parseInt(id.substring(1));
    idx.html(`Row ${dig - 1}`);
    $(this).attr('id', `R${dig - 1}`);
    });

    $(this).closest('tr').remove();

    rowIdx--;
  });
  });

  </script>
  
  <script>
          function funUnit(val,row){
              console.log(val);
             var  $cnt = 0 ;
              if(val === "27"){
                  $cnt = 24;
                  
              }else if(val === "28" ){ 
                  $cnt = 18;
              }else if(val === "29"){
                  $cnt = 12;
              }else if(val === "30"){
                  $cnt = 9;
              }
              $("#case_count"+row.toString()).val($cnt);
          }
              
          </script>
          
  
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thevarholdings/public_html/Bar/resources/views/item_cases/create.blade.php ENDPATH**/ ?>