

<?php $__env->startSection('content'); ?>
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Verify Stock</h1>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
    <?php if(session('danger')): ?>
        <div class="alert alert-danger d-flex align-items-center" role="alert">
          <i class="fas fa-times-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Danger:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('danger')); ?>

            </div>
        </div>
    <?php endif; ?>
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <form >
                <?php echo csrf_field(); ?>
                <div class="row">
                  <div class="form-group col-md-3">
                    <label for="exampleInputEmail1">Counter</label>
                    <select  class="form-control" name="counter_id" >
                        <option value="" hidden></option>
                        <?php $__currentLoopData = $counters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $counter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($counter->cntr_id); ?>"><?php echo e($counter->counter_name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                  </div> 
                  <div class="col" style="padding-top:30px;">
                    <button type="submit" class="btn btn-primary">Submit</button>
                  </div>
                </div>
              </form>
            
            <?php if(count($stocks) > 0): ?>
            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th scope="col">Sl No</th>
                    <th scope="col">Item</th>
                    <th scope="col">Unit</th>
                    <th scope="col">Bottles</th>
                    <th scope="col">pegs</th>
                  </tr>
                </thead>
                <tbody>
                  <?php ($i=1); ?>
                  <?php $__currentLoopData = $stocks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stock): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  
                  <tr class="odd">
                    <th scope="row"><?php echo e($i++); ?></th>
                    <td><?php echo e($stock->name); ?></td>
                    <td><?php echo e($stock->u_name); ?></td>
                    <td><?php echo e($stock->bottles); ?></td>
                    <td><?php echo e($stock->pegs); ?></td>
                        
                  </tr>
                  
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tfoot>
                <tr>
                    <th scope="row"><?php echo e($i++); ?></th>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td><form action="<?php echo e(route('verify_stock.store')); ?>" method="post">
                            <?php echo csrf_field(); ?>
                            <input type="text" value="<?php echo e($counter_id); ?>" name="counter_id" hidden>
                            <button type="submit" class="btn btn-success">Verify</button>
                        </form></td>
                    
                </tr>
                
            </table>
            <?php endif; ?>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thomsonscasa/public_html/Bar/resources/views/stock_verification/create.blade.php ENDPATH**/ ?>