<?php $__env->startSection('content'); ?>
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Bot</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
    <div class="row">
        <div class="col-12">
        <div class="card">
            <div class="card-header">
            <h3 class="card-title">Bot</h3>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
                 <form>
                    <?php echo csrf_field(); ?>
                      <div class="row">
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">From</label>
                            <input type="date" class="form-control" name="from" >
                          </div> 
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">To</label>
                            <input type="date" class="form-control" name="to" >
                          </div> 
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">Supplier</label>
                            <select class="form-control" name="supplier_id" >
                                <option value="" hidden>-- select supplier --</option>
                                <?php $__currentLoopData = $suppliers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $supplier): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($supplier->s_id); ?>"><?php echo e($supplier->supplier_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                          </div> 
                          <?php if(Auth::user()->role == '1'): ?>
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">Counter</label>
                            <select class="form-control" name="counter_id" >
                                <option value="" hidden>-- select counter --</option>
                                <?php $__currentLoopData = $counters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $counter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($counter->cntr_id); ?>"><?php echo e($counter->counter_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                          </div>
                          <?php endif; ?>
                          
                          <div class="form-group col-md-2 py-2">
                              <br>
                              <button type="submit" id='reload' class="btn btn-primary">Submit</button>
                          </div>
                      </div>
                  </form>
                <table id="example1" class="table table-bordered table-striped">
                    <thead>
                      <tr>
                        <th scope="col">Sl No</th>
                        <th scope="col">Bot No</th>
                        <th scope="col">Date</th>
                        <th scope="col">Table No</th>
                        <th scope="col">Supplier</th>
                        <th scope="col">Amount</th>
                        <?php if(Auth::user()->role == 1): ?>
                        <th scope="col">Counter</th>
                        <th scope="col">#</th>
                        <th scope="col">#</th>
                        <?php endif; ?>
                      </tr>
                    </thead>
                    <tbody>
                      <?php ($i=1); ?>
                      <?php $__currentLoopData = $bills; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bill): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                      
                      <tr class="odd">
                        <th scope="row"><?php echo e($i++); ?></th>
                        <td>
                            
                           <?php if(Auth::User()->role !== '0' ): ?> 
                                <a href="<?php echo e(route('bills.show',$bill->b_id)); ?>" target="_blank"><?php echo e($bill->bill_no); ?></a>
                            <?php else: ?>
                                <?php echo e($bill->bill_no); ?>

                            <?php endif; ?>
                            
                            </td>
                        <td><?php echo e($bill->date); ?></td>
                        <td><?php echo e($bill->table_no); ?></td>
                        <td><?php echo e($bill->supplier_name); ?></td>
                        <td><?php echo e($bill->total_amount); ?></td>
                        <?php if(Auth::user()->role == 1): ?>
                        <td><?php echo e($bill->counter_name); ?></td>
                        <td>
                            <a href="<?php echo e(route('bills.edit',$bill->b_id)); ?>" class="btn" ><i class="fa fa-pencil" ></i></a>
                        </td>
                        <td>
                            <a href="<?php echo e(route('cancel.kot',$bill->b_id)); ?>" class="btn btn-danger" >Cancel</a>
                        </td>
                        <?php endif; ?>
                      </tr>
                      
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      
                    </tfoot>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thomsonscasa/public_html/Bar/resources/views/sales/view_bot.blade.php ENDPATH**/ ?>