<?php $__env->startSection('content'); ?>
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<div class="card card-primary">
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
      <div class="card-header">
        <h3 class="card-title">Purchase</h3>
      </div>
      
        <form action="<?php echo e(route('purchases.update',$purchase->p_id)); ?>" method="post" >
        <?php echo csrf_field(); ?>
        <?php echo method_field("PATCH"); ?>
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Purchase No</label>
                <input type="text" class="form-control" name="purchase_no" value="<?php echo e($purchase->purchase_no); ?>"  placeholder="" required readonly>
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Date</label>
                <input type="date" class="form-control" name="date" value="<?php echo e($purchase->date); ?>"  placeholder="" required>
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Payment Method</label>
                <select class="form-control" name="payment_method_id" required>
                    <option value="<?php echo e($purchase->payment_method_id); ?>" hidden><?php echo e($purchase->method); ?></option>
                    <?php $__currentLoopData = $methods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $method): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($method->pm_id); ?>"><?php echo e($method->method); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    
                </select>
              </div>
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Vendor</label>
                <select  class="form-control " name="vendor_id" required>
                    <option value="<?php echo e($purchase->vendor_id); ?>" hidden><?php echo e($purchase->name); ?></option>
                    <?php $__currentLoopData = $vendors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vendor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($vendor->v_id); ?>"><?php echo e($vendor->name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
              </div> 
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Invoice No</label>
                <input type="text" class="form-control" name="invoice_no" value="<?php echo e($purchase->invoice_no); ?>"  placeholder="" required>
              </div> 
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Invoice Date</label>
                <input type="date" class="form-control" name="invoice_date" value="<?php echo e($purchase->invoice_date); ?>"  placeholder="" required>
              </div> 
              
                <div class="container col-md-12">
                  <div class="table-responsive">
                      <table class="table table-bordered" id="purchaseTable">
                        <thead>
                            <br>
                        <tr>
                          <!--<th >Sl No</th>-->
                          <th class="col-3">Item Name</th>
                          <th class="col-1">Unit</th>
                          <th class="col-1">M</th>
                          <th >Quantity </th>
                          <th >Rate</th>
                          <th >Amount</th>
                          <th >Tax</th>
                          <th >Net Amount</th>
                          <th >#</th>
                        </tr>
                        </thead>
                        <tbody id="tbody">
                            <?php $cnt=1;?>
                        <?php $__currentLoopData = $purchase_item; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $details): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr id="R<?php echo e($cnt); ?>">
                              <td class="row-index text-center">
                                <select  class="form-control select2" name="item_id[]" required id="item<?php echo e($cnt); ?>" onchange="funTax(this.value,<?php echo e($cnt); ?>);">
                                    <option value="<?php echo e($details->item_id); ?>" hidden><?php echo e($details->name); ?> - <?php echo e($details->code); ?></option>
                                    <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($item->item_id); ?>"><?php echo e($item->name); ?> - <?php echo e($item->code); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                              </td>
                             <td class="row-index text-center">
                                <select class="form-control" name="unit_id[]" id="unit<?php echo e($cnt); ?>" required onchange="funMeasurement(<?php echo e($cnt); ?>)">
                                    <option value="<?php echo e($details->unit); ?>" hidden><?php echo e($details->u_name); ?></option>
                                    <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($unit->u_id); ?>"><?php echo e($unit->u_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                              </td>
                              <td class="row-index text-center">
                                <select class="form-control" name="measurement[]" required id="measurement<?php echo e($cnt); ?>" onchange="funMeasurement(<?php echo e($cnt); ?>)">
                                        <option value="<?php echo e($details->measurement); ?>" hidden>
                                            <?php if($details->measurement  ==  "0"): ?>
                                              Case
                                            <?php else: ?>
                                              Nos
                                            <?php endif; ?>
                                        </option>
                                        <option value="0" >Case</option>
                                        <option value="1" >Nos</option>
                                    </select>
                              </td>
                              <td class="row-index text-center">
                                <input type="number" step="any" class="form-control" id="quantity<?php echo e($cnt); ?>"  onchange="funQty(<?php echo e($cnt); ?>)" name="quantity[]" value="<?php echo e($details->quantity); ?>"  placeholder="" required>
                              </td>
                              <td class="row-index text-center">
                                <input type="number" step="any" class="form-control" name="rate[]" id="rate<?php echo e($cnt); ?>" onchange="funQty(<?php echo e($cnt); ?>)"  value="<?php echo e($details->rate); ?>"  placeholder="" required>
                              </td>
                              <td class="row-index text-center">
                                <input type="number" step="any" class="form-control" name="amount[]" id="amount<?php echo e($cnt); ?>" value="<?php echo e($details->pur_amount); ?>" onchange="funTotal(1); funCal(<?php echo e($cnt); ?>)" placeholder="" >
                              </td>
                              
                              <td class="row-index text-center">
                                <input type="number" step="any" class="form-control" name="tax[]" id="tax<?php echo e($cnt); ?>" onchange="funTotal(1)" value="<?php echo e($details->pur_tax); ?>"  placeholder="" ><input type="hidden" value="<?php echo e($details->tax); ?>" id="tax_per<?php echo e($cnt); ?>">
                              </td>
                              <td class="row-index text-center">
                                <input type="number" step="any" class="form-control" name="net_amount[]" id="test<?php echo e($cnt); ?>" onchange="funTotal(1)" value="<?php echo e($details->net_amount); ?>" placeholder="" required>
                              </td>
                            
                              <td class="text-center">
                                <button class="btn btn-danger remove"
                                type="button">-</button>
                              </td>
                            </tr>
                            <script>
                            $(document).ready(function () {
                                 $('.select2').select2();
                                 });
                            </script>
                            <?php $cnt++;?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                      </table>
                  </div>
                  <button class="btn btn-md btn-success" id="addBtn" type="button">
                    +
                  </button>
                  <br>
                  
                </div>
            
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Total</label>
                <input type="number" step="any" class="form-control" name="total" id="total" value="<?php echo e($purchase->total); ?>"  placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">TCS</label>
                <input type="text" class="form-control" name="tcs" value="<?php echo e($purchase->tcs); ?>"  id="tcs" placeholder="" >
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Round Off</label>
                <input type="number" step="any" class="form-control" name="round_off"   id="round_off" value="<?php echo e($purchase->roundoff); ?>" onchange="funTotal(1)" placeholder="" >
              </div> 
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Discount</label>
                <input type="number" step="any" class="form-control" name="discount"  id="discount"  value="<?php echo e($purchase->discount); ?>" onchange="funTotal(1)" placeholder="" >
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Extra</label>
                <input type="number" step="any" class="form-control" name="extra"  id="extra"  value="<?php echo e($purchase->extra); ?>" onchange="funTotal(1)" placeholder="" >
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Grand Total</label>
                <input type="number" step="any" class="form-control" name="grand_total" id="grandTotal"  value="<?php echo e($purchase->grand_total); ?>" placeholder="" required>
              </div> 
          </div>
          
                   
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>

</div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js">
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js">
</script>


<script>
  $(document).ready(function () {

  // Denotes total number of rows
  var rowIdx = <?php echo $cnt-1;?>;

  // jQuery button click event to add a row
  $('#addBtn').on('click', function () {

    // Adding a row inside the tbody.
    $('#tbody').append(`<tr id="R${++rowIdx}">
      <td class="row-index text-center">
        <select  class="form-control select2" name="item_id[]"  id="item`+rowIdx+`" onchange="funTax(this.value,`+rowIdx+`);" required>
            <option value="" hidden></option>
            <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <option value="<?php echo e($item->item_id); ?>"><?php echo e($item->name); ?> - <?php echo e($item->code); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
      </td>
     <td class="row-index text-center">
        <select class="form-control" name="unit_id[]" required id="unit`+rowIdx+`" onchange="funMeasurement(`+rowIdx+`)">
            <option value="" hidden></option>
            <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <option value="<?php echo e($unit->u_id); ?>"><?php echo e($unit->u_name); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
      </td>
      <td class="row-index text-center">
        <select class="form-control" name="measurement[]" required id="measurement`+rowIdx+`" onchange="funMeasurement(`+rowIdx+`)">
            <option value="" hidden></option>
            <option value="0" >Case</option>
            <option value="1" >Nos</option>
        </select>
      </td>
      <td class="row-index text-center">
        <input type="number" step="any" class="form-control" name="quantity[]" id="quantity`+rowIdx+`"  onchange="funQty(`+rowIdx+`)"  placeholder="" required><input type="hidden" id="case`+rowIdx+`">
        <input type="hidden" id="caseAmount`+rowIdx+`">
      </td>
      <td class="row-index text-center">
        <input type="number" step="any" class="form-control" name="rate[]" id="rate`+rowIdx+`" onchange="funQty(`+rowIdx+`)"  placeholder="" required>
      </td>
      <td class="row-index text-center">
        <input type="number" step="any" class="form-control" name="amount[]" id="amount`+rowIdx+`" onchange="funTotal(${rowIdx})" placeholder="" >
      </td>
      
      <td class="row-index text-center">
        <input type="number" step="any" class="form-control" name="tax[]" id="tax`+rowIdx+`" onchange="funTotal(${rowIdx})"  placeholder="" ><input type="hidden" id="tax_per`+rowIdx+`"><input type="hidden"  id="tax_per`+rowIdx+`">
      </td>
      <td class="row-index text-center">
        <input type="number" step="any" class="form-control" name="net_amount[]" id="test`+rowIdx+`" onchange="funTotal(${rowIdx})"  placeholder="" required>
      </td>
    
      <td class="text-center">
        <button class="btn btn-danger remove"
        type="button">-</button>
        </td>
      </tr>`
    //   <td class="row-index text-center">
    //     <input type="text" class="form-control" name="case_rate[]"  placeholder="" >
    //   </td>
    //   <td class="row-index text-center">
    //     <input type="text" class="form-control" name="custom_duty[]"  placeholder="" >
    //   </td>
      );
      
       $('.select2').select2();
    //   updateDropdowns(rowIdx);
  });

  // jQuery button click event to remove a row.
  $('#tbody').on('click', '.remove', function () {
        var child = $(this).closest('tr').nextAll();
      
        child.each(function () {
        var id = $(this).attr('id');
        var idx = $(this).children('p');
        var dig = parseInt(id.substring(1));
        idx.html(`Row ${dig - 1}`);
        $(this).attr('id', `R${dig - 1}`);
        });
    
        $(this).closest('tr').remove();
    funCal(rowIdx);
        rowIdx--;
        
      });
  });
  
  // filter selected items in select box
    // function updateDropdowns(rowIdx) {
    //   for (let i = 1; i < rowIdx; i++) {
    //     let currentItem = document.getElementById('item' + i);
    //     if (currentItem) {
    //       let selectedValue = $('#item' + i).val();
    //       $('#item' + rowIdx + ' option[value="' + selectedValue + '"]').remove();
    //     }
    //   }
    // }

  
  function funQty(row){
      var  qty  =  $("#quantity"+row.toString()).val();
      var  case_count  =  $("#case"+row.toString()).val();
      var  rate  =  $("#rate"+row.toString()).val();
      
      var msr =$("#measurement"+row).val();
      var amount = parseFloat($("#rate"+row).val());
     
      
      if(qty){
            var gross_amount =  parseFloat(qty) * amount ; 
            $("#amount"+row).val(gross_amount);
            
            var tax  = $("#tax_per"+row.toString()).val();
            var taxValue  =  parseInt(tax) * gross_amount / 100 ; 
            $("#tax"+row.toString()).val((Math.round(taxValue * 100) / 100).toFixed(2));
            var grand_amount  = gross_amount + taxValue;
             $("#test"+row.toString()).val((Math.round(grand_amount * 100) / 100).toFixed(2));
               
               funTotal(1);
      }
          
      
  }
  
  function funMeasurement(row){
     var  unit  =  $("#unit"+row.toString()).val();
      var  item  =  $("#item"+row.toString()).val();
      var msr  = $("#measurement"+row.toString()).val(); 
     $.ajax({
                type : 'POST',
                data: {'id' : msr,'unit':unit,'item':item,'_token':'<?php echo e(csrf_token()); ?>'},
                url : "<?php echo e(url('/purchase/caseCountFetch')); ?>",
                success:function(data){
                      console.log("here"+data);
                    if(data != 0){
                       
                       if(msr == 1){
                           $('#rate'+row.toString()).val(data["item_amount"]);
                       }else{
                           $('#rate'+row.toString()).val(data["case_amount"]);
                       }
                       
                         $("#case"+row.toString()).val(data["case_count"]);
                        $("#caseAmount"+row.toString()).val(data["case_amount"]);
                    }else{
                        
                         $("#case"+row.toString()).val(0);
                        $('#rate'+row.toString()).val(0);
                        $("#caseAmount"+row.toString()).val(0);
                    }
           
                },
                async: false
            });
            
            funQty(row);
  }
  
  
  
  
  function funTax(id,row){
          $.ajax({
                type : 'POST',
                data: {'id' : id,'_token':'<?php echo e(csrf_token()); ?>'},
                url : "<?php echo e(url('/purchases/taxDetails')); ?>",
                success:function(data){
                    $("#tax_per"+row).val(data["tax"]);
                     //$("#rate"+row).val(data["amount"]);
                    
                },
                async: false
            });
        
  }
  function funCal(row){
      var qty = parseFloat($("#quantity"+row).val());
      
      var msr =$("#measurement"+row).val();
      var amount = 0 ;
      if( msr === "1"){
           amount = parseFloat($("#amount"+row).val());
      }else{
           amount = parseFloat($("#caseAmount"+row).val());
      }
    
      var tax = parseFloat($("#tax_per"+row).val());
      var netamount = (qty * amount) +  ((qty * amount) * tax /100);
      $("#test"+row).val(netamount);
      
     
  }
  
  
  
  
  
    function funTotal(row){
        var rowCount = $('#purchaseTable tr').length;
        

        var total = parseFloat(0);
        var totTax = parseFloat(0);
        var totNet = parseFloat(0);
            for (var i = 1; i < rowCount; i++) {
            
               
                var amount = parseFloat($("#amount"+i).val());
                var tax = parseFloat($("#tax"+i).val());
                 var net = $("#test"+i).val();
                if(isNaN(amount)  ){
                }else{
                    total = total + amount;
                }
                if(isNaN(net)){
                    
                }else{
                   totNet = totNet + parseFloat(net); 
                }
            } 
            
            totTax = totNet *  0/100;
              $("#total").val((Math.round(totNet * 100) / 100).toFixed(2));
            totNet =  totNet + totTax ;
            
            
           
             var tcs  =   (Math.round(totNet * 100) / 100).toFixed(2);
             $("#tcs").val(0); 
             
             
              var extra = $("#extra").val();
              
        var round_off = $("#round_off").val();
        var discount = $("#discount").val();
        var grand_total = totNet;
        if(extra){
            grand_total =  parseFloat(grand_total) + parseFloat(extra);
        }
        if(discount){
            
             grand_total =  parseFloat(grand_total) -  parseFloat(discount);
        }
        if(round_off){
            
            grand_total =  Math.ceil(grand_total);
        }
        
        
        $("#grandTotal").val((Math.round(grand_total * 100) / 100).toFixed(2));
             
        
    }
    
  </script>

  <script>
  $(function () {
    //Initialize Select2 Elements
    $('.select2').select2()

    //Initialize Select2 Elements
    $('.select2bs4').select2({
      theme: 'bootstrap4'
    })

  })
 
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/eseastore/public_html/resources/views/purchases/edit.blade.php ENDPATH**/ ?>