<?php $__env->startSection('content'); ?>

<div class="card card-primary">
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
      <div class="card-header">
        <h3 class="card-title">Store Items</h3>
      </div>
      
        <form action="<?php echo e(route('kitchen_items.update',$item->ki_id)); ?>" method="post" >
        <?php echo csrf_field(); ?>
        <?php echo method_field("PATCH"); ?>
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Item Name</label>
                <input type="text" class="form-control" name="item_name" value="<?php echo e($item->item_name); ?>" placeholder="" required>
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Unit</label>
                <select  class="form-control" name="unit"  required>
                    <option value="<?php echo e($item->unit_id); ?>" hidden><?php echo e($item->unit); ?></option>
                    <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($unit->id); ?>"><?php echo e($unit->unit); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">HSN code</label>
                <input type="text" class="form-control" name="hsn_code" value="<?php echo e($item->hsn_code); ?>"  placeholder="" >
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Tax</label>
                <input type="number" step="any" class="form-control" name="tax" value="<?php echo e($item->tax); ?>" placeholder="" >
              </div> 
          </div> 
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/eseastore/public_html/resources/views/kitchen_items/edit.blade.php ENDPATH**/ ?>