<?php $__env->startSection('content'); ?>
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Store Items</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th scope="col">Sl No</th>
                    <th scope="col">Item Name</th>
                    <th scope="col">Unit</th>
                    <th scope="col">HSN Code</th>
                    <th scope="col">Tax</th>
                    <th scope="col">#</th>
                  </tr>
                </thead>
                <tbody>
                  <?php ($i=1); ?>
                  <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  
                  <tr class="odd">
                  <th scope="row"><?php echo e($i++); ?></th>
                     <td><?php echo e($item->item_name); ?></td>
                     <td><?php echo e($item->unit); ?></td>
                     <td><?php echo e($item->hsn_code); ?></td>
                     <td><?php echo e($item->tax); ?></td>
                     <td>
                         <a href="<?php echo e(route('kitchen_items.edit',$item->ki_id)); ?>" class="btn"><i class="fa fa-pencil"></i></a>
                     </td>
                   
                  </tr>
                  
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  
                </tfoot>
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/eseastore/public_html/resources/views/kitchen_items/index.blade.php ENDPATH**/ ?>