

<?php $__env->startSection('content'); ?>
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Orders</h1>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
    <div class="row">
        <div class="col-12">
        <div class="card">
            <div class="card-header">
            <h3 class="card-title">Orders</h3>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
            
            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th scope="col">Sl No</th>
                    <th scope="col">Item Name</th>
                    <th scope="col">Supplier</th>
                    <th scope="col">Table No</th>
                    <th scope="col">Order No</th>
                    <th scope="col">Counter</th>
                    <th scope="col">Quantity</th>
                    <th scope="col">Unit</th>
                    <th scope="col">#</th>
                  </tr>
                </thead>
                <tbody>
                  <?php ($i=1); ?>
                  <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  
                  <tr class="odd">
                    <th scope="row"><?php echo e($i++); ?></th>
                    <td><?php echo e($order->name); ?></td>
                    <td><?php echo e($order->supplier_name); ?></td>
                    <td><?php echo e($order->table_no); ?></td>
                    <td><?php echo e($order->order_no); ?></td>
                    <td><?php echo e($order->counter_name); ?></td>
                    <td><?php echo e($order->qty); ?></td>
                    <td><?php echo e($order->u_name); ?></td>
                    <td>
                        <form action="<?php echo e(route('kitchen.update',$order->bi_id)); ?>" method="post">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field("PATCH"); ?>
                            <button class="btn btn-success" type="submit">Dispatch</button>
                        </form>
                        
                    </td>
                   
                  </tr>
                  
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  
                </tfoot>
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thomsonscasa/public_html/Bar/resources/views/kitchen/index.blade.php ENDPATH**/ ?>