

<?php $__env->startSection('content'); ?>

<div class="card card-primary">
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
      <div class="card-header">
        <h3 class="card-title">Transactions</h3>
      </div>
      
        <form action="<?php echo e(route('account_transactions.update',$transaction->at_id)); ?>" method="post" >
        <?php echo csrf_field(); ?>
        <?php echo method_field("PATCH"); ?>
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Date</label>
                <input type="date" class="form-control" name="date" value="<?php echo e($transaction->date); ?>"   required>
              </div>
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Type</label>
                <select  class="form-control" name="type" required>
                    <?php if($transaction->type == 1): ?>
                    <option value="1" hidden>Credit</option>
                    <?php else: ?>
                    <option value="2" hidden>Debit</option>
                    <?php endif; ?>
                    <option value="1">Credit</option>
                    <option value="2">Debit</option>
                </select>
              </div>
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Category</label>
                <select  class="form-control select2bs4" name="category" onchange="funHead(this.value)" required>
                    <option value="<?php echo e($transaction->ac_id); ?>" hidden><?php echo e($transaction->account_category); ?></option>
                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($category->ac_id); ?>" ><?php echo e($category->account_category); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
              </div>
             <div class="form-group col-md-3">
                <label for="exampleInputEmail1"> Head</label>
                <select  class="form-control select2bs4" name="head"  required>
                    <option value="<?php echo e($transaction->head_id); ?>" hidden><?php echo e($transaction->head); ?></option>
                    <?php $__currentLoopData = $heads; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $head): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($head->ah_id); ?>"><?php echo e($head->head); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
              </div>
              <div class="form-group col-md-4">
                <label for="exampleInputEmail1">Amount</label>
                <input type="text" class="form-control" name="amount" value="<?php echo e($transaction->amount); ?>"  required>
              </div>
              <div class="form-group col-md-4">
                <label for="exampleInputEmail1">Payment Method</label>
                <select  class="form-control" name="payment_method"  required>
                    <option value="<?php echo e($transaction->payment_method_id); ?>" hidden><?php echo e($transaction->method); ?></option>
                    <?php $__currentLoopData = $methods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $method): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($method->pm_id); ?>"><?php echo e($method->method); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
              </div>
              <div class="form-group col-md-4">
                <label for="exampleInputEmail1">Bank</label>
                <select  class="form-control" name="bank"  >
                    <option value="<?php echo e($transaction->bank_id); ?>" hidden><?php echo e($transaction->bank_name); ?></option>
                    <?php $__currentLoopData = $banks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bank): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($bank->b_id); ?>"><?php echo e($bank->bank_name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
              </div>
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Remarks</label>
                <input type="text" class="form-control" name="remarks"  >
              </div>
          </div>
          
                   
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>

</div>
 
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thomsonscasa/public_html/Bar/resources/views/account_transactions/edit.blade.php ENDPATH**/ ?>