<?php $__env->startSection('content'); ?>
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Canceled Kot</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
    <div class="row">
        <div class="col-12">
        <div class="card">
            <div class="card-header">
            <h3 class="card-title">Kot</h3>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
                <table id="example1" class="table table-bordered table-striped">
                    <thead>
                      <tr>
                        <th scope="col">Sl No</th>
                        <th scope="col">Kot No / Bot No</th>
                        <th scope="col">Category</th>
                        <th scope="col">Date</th>
                        <th scope="col">Table No</th>
                        <th scope="col">Supplier</th>
                        <th scope="col">Amount</th>
                        <th scope="col">Counter</th>
                      </tr>
                    </thead>
                    <tbody>
                      <?php ($i=1); ?>
                      <?php $__currentLoopData = $bills; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bill): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                      
                      <tr class="odd">
                        <th scope="row"><?php echo e($i++); ?></th>
                        <td>
                            <a href="<?php echo e(route('bills.show',$bill->b_id)); ?>" target="_blank"><?php echo e($bill->bill_no); ?></a>
                        </td>
                        <td><?php if($bill->category == 0): ?>
                            Kot
                            <?php else: ?>
                            Bot
                            <?php endif; ?>
                        </td>
                        <td><?php echo e($bill->date); ?></td>
                        <td><?php echo e($bill->table_no); ?></td>
                        <td><?php echo e($bill->supplier_name); ?></td>
                        <td><?php echo e($bill->total_amount); ?></td>
                        <td><?php echo e($bill->counter_name); ?></td>
                        
                      </tr>
                      
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      
                    </tfoot>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/eseastore/public_html/resources/views/sales/canceled_kot.blade.php ENDPATH**/ ?>