<?php $__env->startSection('content'); ?>

<div class="card card-primary">
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
      <div class="card-header">
        <h3 class="card-title">Bank</h3>
      </div>
      
        <form action="<?php echo e(route('banks.update',$bank->b_id)); ?>" method="post" >
        <?php echo csrf_field(); ?>
        <?php echo method_field("PATCH"); ?>
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Bank Name</label>
                <input type="text" class="form-control" name="bank_name" value="<?php echo e($bank->bank_name); ?>" placeholder="" required>
              </div>
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Branch</label>
                <input type="text" class="form-control" name="branch" value="<?php echo e($bank->branch); ?>" placeholder="" required>
              </div>
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">IFSC</label>
                <input type="text" class="form-control" name="ifsc" value="<?php echo e($bank->ifsc); ?>" placeholder="" required>
              </div>
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Account No</label>
                <input type="text" class="form-control" name="account_no" value="<?php echo e($bank->account_no); ?>" placeholder="" required>
              </div>
          </div>
          
                   
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>

</div>
 
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thomsonscasa/public_html/Bar/resources/views/bank/edit.blade.php ENDPATH**/ ?>