<?php $__env->startSection('content'); ?>
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1> Purchase Report</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <form>
                    <?php echo csrf_field(); ?>
                      <div class="row">
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">From</label>
                            <input type="date" class="form-control" name="from" >
                          </div> 
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">To</label>
                            <input type="date" class="form-control" name="to" >
                          </div> 
                          
                          <div class="form-group col-md-2 py-2">
                              <br>
                              <button type="submit" id='reload' class="btn btn-primary">Submit</button>
                          </div>
                      </div>
                  </form>
         
            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th scope="col">Date</th>
                    <th scope="col">Purchase No</th>
                    <th scope="col">Invoice No</th>
                    <th scope="col">Invoice Date</th>
                    <th scope="col">Supplier Name</th>
                    <th scope="col">Credit</th>
                    <th scope="col">Cash</th>
                    <th scope="col">Others</th>
                  </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $reports; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $report): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($report['date']); ?></td>
                        <td><?php echo e($report['purchase_no']); ?></td>
                        <td><?php echo e($report['invoice_no']); ?></td>
                        <td><?php echo e($report['invoice_date']); ?></td>
                        <td><?php echo e($report['vendor']); ?></td>
                        <td><?php echo e($report['credit']); ?></td>
                        <td><?php echo e($report['cash']); ?></td>
                        <td><?php echo e($report['other']); ?></td>
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><b>Total : </b></td>
                        <td><b></b></td>
                        <td><b></b></td>
                        <td><b></b></td>
                        <td><b></b></td>
                        <td><b><?php echo e($credit_total); ?></b></td>
                        <td><b><?php echo e($cash_total); ?></b></td>
                        <td><b><?php echo e($other_total); ?></b></td>
                    </tr>
                </tfoot>
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thevarholdings/public_html/Bar/resources/views/reports/purchase_report.blade.php ENDPATH**/ ?>